<style>
.error-message {
    color: red;
}
.steps{
    font-size:20px;
    font-weight:bold;
}
.fs-title{
    font-size:25px;
    font-weight:bold!important;
}
.text{
    /* margin: 20px 0px; */
    margin-bottom:-10px!important;
}
</style>

<div class="row">
    <div class="container-fluid p-5">
        <div class="col-11 col-sm-12 col-md-12 col-lg-12 col-xl-12  ">
            <?= $this->Form->create(NULL, ['controller' => 'Users', 'action'=>'paymentInformation']);?>

            <div class="card">
                <div class="card-header">
                    <h2 id="heading" class="text-center py-3">Sign Up Form</h2>

                    <div class="mt-5 text-center">
                        <ul id="progressbar">
                            <li class="active" id="personal"><strong> Personal Information </strong></li>
                            <li class="active" id="address"><strong> Address </strong></li>
                            <li class="active" id="education"><strong> Education </strong></li>
                            <li class="active" id="professional"><strong> Professional Information</strong></li>
                            <li class="active" id="payment"><strong> Payment Information </strong></li>
                            <li id="confirm"><strong> Finish </strong></li>
                        </ul>
                    </div>

                    <div class="progress">
                        <div class="pbar pbar-striped pbar-animated" role="progressbar" aria-valuemin="0"
                            aria-valuemax="100"> </div>
                    </div>

                </div>

                <div class="card-body">
                    <div class="row">
                        <div class="col-xs-12 col-sm-12 col-md-7 col-xl-7 col-xxl-7">
                            <h2 class="fs-title"> Payment Information </h2>
                            <p> All Fields marked (*) Required </p>
                        </div>

                        <div class="col-xs-12 col-sm-12 col-md-5 col-xl-5 col-xxl-5">
                            <h2 class="steps"> Step 5 - 6 </h2>
                        </div>
                    </div>

                    <div class="col-xs-12 col-sm-12 col-md-12 col-xl-12 col-xxl-12 ">
                        <div class="row">
                            <div class="col-xs-12 col-sm-12 col-md-6 col-xl-6 col-xxl-6">
                                <?= $this->Form->control('',['class'=>'form-control','placeholder'=>'One-Time Registration Fees', 'disabled' ,'label' => false]);?>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-6 col-xl-6 col-xxl-6">
                                <?= $this->Form->control('currentplaceofemployment2',['class'=>'form-control','placeholder'=>'Amount','value' => '100', 'readonly' ,'label' => false]);?>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-xs-12 col-sm-12 col-md-6 col-xl-6 col-xxl-6">
                                <?= $this->Form->control('',['class'=>'form-control','placeholder'=>'Annual Dues', 'disabled' ,'label' => false]);?>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-6 col-xl-6 col-xxl-6">
                                <?= $this->Form->control('currentplaceofemployment2',['class'=>'form-control','placeholder'=>'Amount','value' => '300', 'readonly' ,'label' => false]);?>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-xs-12 col-sm-12 col-md-6 col-xl-6 col-xxl-6">
                                <?= $this->Form->control('',['class'=>'form-control','placeholder'=>'TOTAL AMOUNT DUE', 'disabled' ,'label' => false]);?>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-6 col-xl-6 col-xxl-6">
                                <?= $this->Form->control('currentplaceofemployment2',['class'=>'form-control','placeholder'=>'Amount','value' => '400', 'readonly' ,'label' => false]);?>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-xs-12 col-sm-12 col-md-12 col-xl-12 col-xxl-12" style="margin-top:20px;">
                                <?= $this->Form->select('totalnumberofyears', ['select'=>'Payment Method','Mobile'=>'Mobile', 'Cheque'=>'Cheque', 'Cash'=>'Cash'],
                                    ['class' => 'form-control','label' => false,'placeholder'=>'']);?>
                            </div>
                        </div>

                        <div class="row mt-4">
                            <div class="my-4 text-center"><h3>Payment Mode</h3></div>
                        </div>

                        <div class="row">

                            <div class="col-xs-12 col-sm-12 col-md-4 col-xl-4 col-xxl-4">
                               <b> Bankers :</b> <br />
                                ADB, Gulf House, Accra Branch
                                1081010130069001 | In the full name of GhISEP.
                                (Send us proof of payment)
                                
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-4 col-xl-4 col-xxl-4">
                                <b>Mobile Money (MoMo) :</b> <br />
                                GhISEP Merchant Number: 0597381484 or <br />
                                Merchant ID: 835106 registered in the full <br />
                                Name of GhISEP.<br />
                                <b>(With momo, use your name as reference and send us the proof of payment)</b>
                                
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-4 col-xl-4 col-xxl-4">
                                <b>PayLink :</b> <br />
                                Use the link to pay through PayLink <br />
                                https://paylink.today/ghisep
                                After payment capture the successful transfer message or take a screenshot and send to us.
                                
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-12 col-xl-12 col-xxl-12 text-center my-3">
                                 <span style="color:#8e0e0b; font-weight:bold;">NB: Please, WhatsApp all proof of payment to 0246150594 and 0204105692)</span>
                            </div>

                           

                        </div>


                      
                        
                    </div>

                </div>

                <div class="row mx-2 mt-3">
                    <div class="col-xs-12 col-sm-12 col-md-8 col-xl-12 col-xxl-12 text-center mb-3">

                        <div class="btn-group" style="float:left; role="group" aria-label="Basic example">
                            <a href="javascript:history.back()" class="btn btn-success">
                                Previous
                            </a>
                        </div>

                        <div class="btn-group" style="float:right; role="group" aria-label="Basic example">
                            <?php echo $this->Form->submit('Next',array('class'=>'btn btn-success  next action-button','div'=>false,'id'=>'send_message'));?>
                        </div>

                    </div>
                </div>

            </div>
            <?= $this->Form->end() ?>
        </div>

    </div>
</div>