<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * Actions Entity.
 *
 * @property int $id
 * @property string $name
 * @property int $deleted
 */
class Content extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        '*' => true,
        'id' => false,
    ];

    protected function _getStatusName() {
        $status_name = $this->status;

        if($this->status == 1) {
            $status_name = 'Enabled';
        }

        else if($this->status == 2) {
            $status_name = 'Edited';
        }

        else if($this->status == 0) {
            $status_name = 'Pending';
        }

        else if($this->status == 99) {
            $status_name = 'Disabled';
        }

        return $status_name;
    }
}