<p align="center">
	<?php echo $this->Paginator->counter(array('format' => __('Page {{page}} of {{pages}}, showing {{current}} records out of {{count}} total, starting on record {{start}}, ending on {{end}}'))); ?>
</p>
<hr class="separate-title"/>
	

<center><?= $this->Flash->render() ?></center>

<div class="row">
	<div class="col-sm-12">
		<div class="table-responsive">
			<table class="table table-striped">
				<thead>
					<th>Name</th>
					<th>Description</th>
					<th>Home</th> 
					<th>Actions</th>
				</thead>
				<tbody>
					<?php
						$i = 0;
						foreach ($listings as $listing):  
					?>
					<tr>
										
						<td>


							<?php

 echo $this->Html->link(__($listing->name), ['controller'=>'gallery','action'=>'view', $listing->id]); 
?>
	

</td>
						<td><?php echo $listing->description; ?></td>
						<td><?= $listing->show_on_home == 1 ? 'Yes' : 'No' ?></td>
							
						<td class="actions">
							<?php
								
									
									
									if($listing->status==1){
									echo $this->Html->link(__('Disable '), ['controller'=>'gallery','action' =>'albums', 'disable', $listing->id],['class' => 'btn btn-sm btn-danger', 'style' => 'margin-bottom: 5px;']); 
								   }elseif($listing->status==99){
								   	echo $this->Html->link(__('Enable '), ['controller'=>'gallery','action' =>'albums', 'enable', $listing->id],['class' => 'btn btn-sm btn-success', 'style' => 'margin-bottom: 5px;']); 
								   }else{
								   	echo $this->Html->link(__('Enable '), ['controller'=>'gallery','action' =>'albums', 'enable', $listing->id],['class' => 'btn btn-sm btn-success', 'style' => 'margin-bottom: 5px;']); 
								   	 	echo "  ";
								   	 echo $this->Html->link(__('Disable '), ['controller'=>'gallery','action' =>'albums', 'disable', $listing->id],['class' => 'btn btn-sm btn-danger', 'style' => 'margin-bottom: 5px;']); 
								   
								   }
								   echo ' ';
								   if ($listing->show_on_home == 1) {
									echo $this->Html->link(__("Remove from home"), ['controller' =>'gallery' , 'action' => 'albums','removeFromHome', $listing->id], ['class' => 'btn btn-sm btn-warning', 'style' => 'margin-bottom: 5px;']) . " " ;
								}
								else {
									echo $this->Html->link(__("Show on home"), ['controller' => 'gallery', 'action' => 'albums','showOnHome', $listing->id], ['class' => 'btn btn-sm btn-primary', 'style' => 'margin-bottom: 5px;']) . " " ;
								}
								
							?>
						</td>
					</tr>
					<?php endforeach; ?>		
				</tbody>
			</table>
		</div>	
	</div>
</div>

<div class="row">
	<div class="col-sm-12">
		<div class="paginator" style="text-align: center;">
			<ul class="pagination">
				<?= $this->Paginator->prev('< ' . __('prev')) ?>
				<?= $this->Paginator->numbers(['first' => 3, 'last' => 3, 'modulus' => 4]) ?>
				<?= $this->Paginator->next(__('next') . ' >') ?>
			</ul>
			<p><?= $this->Paginator->counter() ?></p>
		</div>
	</div>
</div>