<div class="container">
    <div class="table-responsive">
        <table class="table table-striped">
            <thead>
                <tr>
                    <th>Banner</th>
                    <th>Title</th>
                    <th>Description </th>
                    <th class="actions"> <span class="pull-right"><?= __('Actions') ?></span></th>
                </tr>
            </thead>
            <tbody>
                <?php 
                    foreach ($listings as $listing): 
                    $image_path = Cake\Core\Configure::read('IMAGE_PREPATH') . $listing->image_path;
                ?>
                <tr>
                    <td> <?= '<a href="' . $this->Url->image($image_path) . '">' . $this->Html->image($image_path, ['id' => 'image',  'style' => 'max-width:200px; max-height:150px;']) . '</a>' ?></td>
                    <td><?= $listing->title ?></td>
                    <td><?= $listing->description ?></td>
                    </td>
                    <td>
                        <span class=" pull-right">
                            <?php
                                if(in_array($listing->status, [0,2,99])){ 
                                    echo $this->Html->link(__('Enable '), ['action' => 'enable',$listing->id],['class' => 'btn btn-sm btn-success', 'style' => 'margin-bottom: 5px;']);     
                                } 
                                else if($listing->status == 1){ 
                                    echo $this->Html->link(__('Disable '), ['action' => 'disable',$listing->id],['class' => 'btn btn-sm btn-danger', 'style' => 'margin-bottom: 5px;']); 
                                }

                                echo "  ";
                                echo $this->Html->link(__("Edit"), [ 'action' => 'edit', $listing->id],['class' => 'btn btn-sm btn-info', 'style' => 'margin-bottom: 5px;']) ;
                            
                            ?>

                        </span> 
                    </td>
                </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
    </div>
</div>