<div class="container">
    <p align="center">
  <?php echo $this->Paginator->counter(array('format' => __('Page {{page}} of {{pages}}, showing {{current}} records out of {{count}} total, starting on record {{start}}, ending on {{end}}'))); ?>
</p>
    <div class="table-responsive">
        <table class="table table-striped">
            <thead>
                <tr>    
                  <th> Name </th>  
                  
                  <th>Content </th>   
                  <th>Image</th>    
                  <th class="actions"> <span class="pull-right"><?= __('Actions') ?></span></th>
                </tr>
            </thead>
            <tbody>
                <?php 
                foreach ($listings as $listing): 
                 if(sizeof($listing->content->content_images)>0){
                    $img=$listing->content->content_images[0]->image_path;
                  }else{
                    $img="no-image.jpg";
                  }
                    ?>
                <tr>
                  <td><?= $listing->content->name ?></td>
                 
                  <td><?= $listing->content->content  ?></td>
                  <td> <?= $this->Html->image("../../webroot/img/".$img, [  'height' => '70px']) ?></td>
                   <td "><span class="pull-right">
                              <?php
                            if(in_array($listing->content->status, [0,2,99])){ 
                                    echo $this->Html->link(__('Enable '), ['action' => 'enableContent',$listing->content->id]); 
                                    
                                } 
                                else if($listing->content->status == 1){ 
                                    echo $this->Html->link(__('Disable '), ['action' => 'disableContent',$listing->content->id]); 
                                }                                                       
                              echo " | ";
                              echo $this->Html->link(__("Edit"), [ 'action' => 'editContent',$menuitemid, $listing->content->id]) ;
                          
                            ?>
                             
                   </span> </td>
                   
                </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
        
        
    </div>
    <div class="row">
  <div class="col-sm-12">
    <div class="paginator" style="text-align: center;">
      <ul class="pagination">
        <?= $this->Paginator->prev('< ' . __('prev')) ?>
        <?= $this->Paginator->numbers(['first' => 3, 'last' => 3, 'modulus' => 4]) ?>
        <?= $this->Paginator->next(__('next') . ' >') ?>
      </ul>
      <p><?= $this->Paginator->counter() ?></p>
    </div>
  </div>
</div>
</div>