	<div class="container">
		<p style="text-align: center;">
			<?php echo $this->Paginator->counter(array('format' => __('Page {{page}} of {{pages}}, showing {{current}} records out of {{count}} total, starting on record {{start}}, ending on {{end}}'))); ?>
		</p>

		<div class="table-responsive">
			<table class="table table-striped">
				<thead>
					<tr>    
					<th>Section </th>  
					<th>Name</th>
					<th>Content </th>   
					<th>Status</th>    
					<th>Home</th>    
					<th>Image</th>    
					<th class="actions"> <span><?= __('Actions') ?></span></th>
					</tr>
				</thead>
				<tbody>
					<?php 
						foreach ($listings as $listing):
							$img = Cake\Core\Configure::read('IMAGE_PREPATH') . 'noimage.jpg';
							$showImage = false;
						
							if(sizeof($listing->content->content_images) > 0 && isset($listing->content->content_images[0]->image_path) && trim($listing->content->content_images[0]->image_path) != '' ){
								$img = Cake\Core\Configure::read('IMAGE_PREPATH') . $listing->content->content_images[0]->image_path;
							}
						
							if(file_exists(realpath($img)) && (filesize(realpath($img)) > 4000)){
								$showImage = true;
							}
					?>
					<tr>
						<td><?= $listing->menu->name ?></td>
						<td><?= $listing->content->name ?></td>
						<td><?= $this->Text->truncate(strip_tags($listing->content->content),200,['ellipsis' => '...','exact' => false])?></td>
						<td><?= $listing->content->status_name ?></td>
						<td><?= $listing->content->show_on_home == 1 ? 'Yes' : 'No' ?></td>
						<td>
							total:<?= sizeof($listing->content->content_images)?>
							<?= sizeof($listing->content->content_images) > 0 ? '<br/>' : '' ?>
							<?= $showImage ? '<a href="' . $this->Url->image($img) . '">' . $this->Html->image($img, [  'height' => '70px']) . '</a>' : '' ?>
						</td>
						<td>
							<span>
								<?php
									if(in_array($listing->content->status, [0,2,99])){ 
										echo $this->Html->link(__('Enable '), ['controller' => isset($this->request->params['section']) ? $this->request->params['section'] : $this->request->params['controller'], 'action' => 'enableListing',$listing->content->id], ['class' => 'btn btn-sm btn-success', 'style' => 'margin-bottom: 5px;']) . " "; 
									} 
									else if($listing->content->status == 1){ 
										echo $this->Html->link(__('Disable '), ['controller' => isset($this->request->params['section']) ? $this->request->params['section'] : $this->request->params['controller'], 'action' => 'disableListing',$listing->content->id], ['class' => 'btn btn-sm btn-danger', 'style' => 'margin-bottom: 5px;']) . " "; 
									}

									echo $this->Html->link(__("Edit"), ['controller' => isset($this->request->params['section']) ? $this->request->params['section'] : $this->request->params['controller'], 'action' => 'edit',$menuitemid, $listing->content->id, $listing->id], ['class' => 'btn btn-sm btn-info', 'style' => 'margin-bottom: 5px;']) . " " ;

									if ($listing->content->show_on_home == 1) {
										echo $this->Html->link(__("Remove from home"), ['controller' => isset($this->request->params['section']) ? $this->request->params['section'] : $this->request->params['controller'], 'action' => 'removeFromHome', $listing->content->id], ['class' => 'btn btn-sm btn-warning', 'style' => 'margin-bottom: 5px;']) . " " ;
									}
									else {
										echo $this->Html->link(__("Show on home"), ['controller' => isset($this->request->params['section']) ? $this->request->params['section'] : $this->request->params['controller'], 'action' => 'showOnHome', $listing->content->id], ['class' => 'btn btn-sm btn-primary', 'style' => 'margin-bottom: 5px;']) . " " ;
									}
								?>
								
							</span> 
						</td>
					</tr>
					<?php endforeach; ?>
				</tbody>
			</table>
			
			
		</div>
		<div class="row">
	<div class="col-sm-12">
		<div class="paginator" style="text-align: center;">
		<ul class="pagination">
			<?= $this->Paginator->prev('< ' . __('prev')) ?>
			<?= $this->Paginator->numbers(['first' => 3, 'last' => 3, 'modulus' => 4]) ?>
			<?= $this->Paginator->next(__('next') . ' >') ?>
		</ul>
		<p><?= $this->Paginator->counter() ?></p>
		</div>
	</div>
	</div>
	</div>