<div class="container">
    <p align="center">
  <?php echo $this->Paginator->counter(array('format' => __('Page {{page}} of {{pages}}, showing {{current}} records out of {{count}} total, starting on record {{start}}, ending on {{end}}'))); ?>
</p>
    <div class="table-responsive">
        <table class="table table-striped">
            <thead>
                <tr>    
                  <th>Name</th>    
                  <th>Description</th>
                  <th>Quantity</th>   
                  <th>Price</th>
                  <th>Picture</th>
                  <th class="actions"> <span class="pull-right"><?= __('Actions') ?></span></th>
                </tr>
            </thead>
            <tbody>
				<?php 
					foreach ($listings as $listing):
					  
					  	$img = Cake\Core\Configure::read('IMAGE_PREPATH') . 'noimage.jpg';
						$showImage = false;
					  
					 	if(sizeof($listing->product->product_images) > 0 && isset($listing->product->product_images[0]->image_path) && trim($listing->product->product_images[0]->image_path) != '' ){
							$img = Cake\Core\Configure::read('IMAGE_PREPATH') . $listing->product->product_images[0]->image_path;
					  	}
					  
					  	if(file_exists(realpath($img)) && (filesize(realpath($img)) > 4000)){
							$showImage = true;
						}
				?>
				
				<tr>
					<td><?= $listing->product->name ?></td>
					<td><?= $listing->product->description  ?></td>
					<td><?= $listing->product->quantity  ?></td>
					<td><?= $listing->product->price  ?></td>
					<td>
						total:<?= sizeof($listing->product->product_images)?>
						<?= sizeof($listing->product->product_images) > 0 ? '<br/>' : '' ?>
						<?= $showImage ? $this->Html->image($img, [  'height' => '70px']) : '' ?>
					</td>
					<td>
						<span class="pull-right">
							<?php
								if(in_array($listing->product->status, [0,2,99])){ 
									echo $this->Html->link(__('Enable '), ['action' => 'enableContent',$listing->product->id]); 
								} 
						
								else if($listing->product->status == 1){ 
									echo $this->Html->link(__('Disable '), ['action' => 'disableContent',$listing->product->id]); 
								}                                                       
						
								echo " | ";
								echo $this->Html->link(__("Edit"), [ 'action' => 'editContent',$menuitemid, $listing->product->id]) ;
							?>
                   		</span> 
					</td>
                   
                </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
               
    </div>
    
	<div class="row">
		<div class="col-sm-12">
			<div class="paginator" style="text-align: center;">
				<ul class="pagination">
					<?= $this->Paginator->prev('< ' . __('prev')) ?>
					<?= $this->Paginator->numbers(['first' => 3, 'last' => 3, 'modulus' => 4]) ?>
					<?= $this->Paginator->next(__('next') . ' >') ?>
				</ul>
				
				<p><?= $this->Paginator->counter() ?></p>
			</div>
		</div>
	</div>

</div>