<?= $this->Form->create($content, ['enctype' => 'multipart/form-data', 'class'=>'form-horizontal row-fluid']) ?>
<div class="row form-area">
    
     <p style="margin:0px 0px;">&nbsp;</p>
    <div class="container">
    <?= $this->Form->hidden('pmenu_id', ['value' => $menuitemid]);?>
        <div class="row form-group" id="sbmenu">
            <div class="col-sm-2 col-xs-12 field-label">
             Menu
            </div>
            <div class="col-sm-10 col-xs-12 text-input">
                <?= $this->Form->input('mainenu', ['class' => 'form-control', 'label' => false,'readonly','default'=>$menuitemname]);?>
            </div>
            
        </div>
        <div class="row form-group" id="sbmenu">
            <div class="col-sm-2 col-xs-12 field-label">
             Sub Menu
            </div>
            <div class="col-sm-10 col-xs-12 select-input">
                <?= $this->Form->input('sbmenu_id', ['class' => 'form-control', 'options' =>$parentMenus, 'label' => false, 'empty'=>'-- Select --','onChange'=>'updateSubCats(value)']);?>
                
            </div>
            
            
        </div>

        <div class="row form-group" id="sbsbmenu" style="display: ">
            <div class="col-sm-2 col-xs-12 field-label">
             Sub Sub Menu
            </div>
            <div class="col-sm-10 col-xs-12 select-input">
                <?= $this->Form->input('sbsbmenu_id', ['class' => 'form-control', 'options' =>'', 'label' => false, 'empty'=>'-- Select --','onChange'=>'updateSubSubCats(value)']);?>
                
            </div>
            
            
        </div>
        <div class="row form-group" id="sbsbsbmenu" style="display: ">
            <div class="col-sm-2 col-xs-12 field-label">
             Sub Sub Sub Menu
            </div>
            <div class="col-sm-10 col-xs-12 select-input">
                <?= $this->Form->input('sbsbsbmenu_id', ['class' => 'form-control', 'options' =>'', 'label' => false, 'empty'=>'-- Select --']);?>
                
            </div>
            
            
        </div>
        <div class="row form-group">
            <div class="col-sm-2 col-xs-12 field-label">
                Title
            </div>
            <div class="col-sm-10 col-xs-12 text-input">
                <?= $this->Form->input('name', ['class' => 'form-control', 'label' => false]);?>
            </div>
        </div>

        <div class="row form-group">
            <div class="col-sm-2 col-xs-12 field-label">
               Content
            </div>
            <div class="col-sm-10 col-xs-12 text-input">
           <?= $this->Form->input('content', ['class' => 'form-control', 'label' => false,'rows'=>"30"]);?>
            </div>
        </div>

        <div class="row form-group">
            <div class="col-sm-2 col-xs-12 field-label">
                Icon Class
            </div>
            <div class="col-sm-10 col-xs-12 text-input">
                <?= $this->Form->input('fa_icon', ['class' => 'form-control', 'label' => false, 'placeholder' => 'fa-money']);?>
            </div>
        </div>
        
        <div class="row form-group">
            <div class="col-sm-2 col-xs-12 field-label">
                Show on Homepage
            </div>
            <div class="col-sm-10 col-xs-12 text-input">
                <?= $this->Form->control('show_on_home', ['class' => 'form-control', 'options' => [1 => 'Yes', 0 => 'No'], 'label' => false]);?>
            </div>
        </div>

		<?php if(sizeof($images) > 0) { ?>
			<div class="row form-group">
				<div class="col-md-2 col-sm-3 col-xs-12 field-label">
					Old Images
				</div>
				<div class="col-md-10 col-sm-9">
					<div class="row">
						<?php
							foreach ($images as $image) {
						?>
								<div class="col-sm-3 col-md-2 images_edit" id="image_div<?= $image->id ?>">
									<?= $this->Html->image(Cake\Core\Configure::read('IMAGE_PREPATH') . $image->image_path, ['class' => 'image_edit img-responsive']) ?>
									<br>
									<a href="javascript:removeImage(<?= $image->id ?>);" class="remove_image">remove</a>
								</div>
						<?php
							}
						?>
					</div>
				</div>
			</div>
		<?php } ?>

		<div class="row form-group">
			<div  id="upload-new">
				<div class="col-md-2 col-sm-3 fieldlabel">Add Images</div>

				<div class="col-md-10 col-sm-9">
					<div class="row">
						<div class="col-md-12">
							<div id="moreUploads"></div>

							<div id="moreUploadsLink">
								<a href="javascript:addFileInput();" id="img" onclick="document.getElementById('moreUploadsLink').style.display='';" id='imag'></a>
							</div>
						</div>
					</div>				
				</div>

			</div>
		</div>

		<div class="row form-group">
			<div class="col-sm-2 col-xs-12 field-label">
				Caption
			</div>
			<div class="col-sm-10 col-xs-12 text-input">
				<?= $this->Form->input('caption', ['class' => 'form-control', 'label' => false]);?>
			</div>
		</div>

	   <script type="text/javascript">
		   $('#editable-select').editableSelect();
	   </script>    

    	<p style="margin:0px 0px;">&nbsp;</p>
		<div class="row">
			<div class="col-md-3 col-sm-4  fieldlabel">&nbsp;</div><div class="col-md-9 col-sm-8 "><?= $this->Form->button(__('Submit'),['class'=>'btn btn-primary pull-right']) ?></div>
		</div>
		<p style="margin:0px 0px;">&nbsp;</p>
		
	</div>   
</div>
<?= $this->Form->end() ?> 

<script>
	
	$(document).ready(function() {

	   $('#imag').click();
	});

	 $(document).ready(function () {
		$('#img')[0].click();  //$('#about').get(0).click();
	}); 
	
    function updateSubCats(str) {
     
      var xhttp;
      if (str == "") {
        return;
      }

      xhttp = new XMLHttpRequest();
      xhttp.onreadystatechange = function() {
        if (xhttp.readyState == 4 && xhttp.status == 200) {
          
          // Sanitize all the json encodings make it a bare string : and ,
          var myresult = xhttp.responseText.replace(/"/gi,'');
          myresult = myresult.replace(/{/gi,'');
          myresult = myresult.replace(/}/gi,'');
          myresult = myresult.replace('[','');
          myresult = myresult.replace(']','');
          var mydata = myresult.split(',');
          
          var inneroptions = "";
          //alert('mydata');
           inneroptions = inneroptions + "<option value=''>-- Select --</option>";
          for (var mainCat in mydata) {
              if (mydata.hasOwnProperty(mainCat)) {
                  var current = mydata[mainCat].split(':');              
                  inneroptions = inneroptions + "<option value='" + current[0] + "'>" + current[1] + "</option>";
              }
            }
            
            document.getElementById("sbsbmenu-id").innerHTML = inneroptions;
        }
      }
      xhttp.open("GET", "<?= $this->Url->build(['controller' => 'menus', 'action' => 'updateSubMenu']) ?>/"+str, true);
      xhttp.send();
    }

      

    function updateSubSubCats(str) {
     
      var xhttp;
      if (str == "") {
        return;
      }

      xhttp = new XMLHttpRequest();
      xhttp.onreadystatechange = function() {
        if (xhttp.readyState == 4 && xhttp.status == 200) {
          
          // Sanitize all the json encodings make it a bare string : and ,
          var myresult = xhttp.responseText.replace(/"/gi,'');
          myresult = myresult.replace(/{/gi,'');
          myresult = myresult.replace(/}/gi,'');
          myresult = myresult.replace('[','');
          myresult = myresult.replace(']','');
          var mydata = myresult.split(',');
          
          var inneroptions = "";
          //alert('mydata');
           inneroptions = inneroptions + "<option value=''>-- Select --</option>";
          for (var mainCat in mydata) {
              if (mydata.hasOwnProperty(mainCat)) {
                  var current = mydata[mainCat].split(':');              
                  inneroptions = inneroptions + "<option value='" + current[0] + "'>" + current[1] + "</option>";
              }
            }
            
            document.getElementById("sbsbsbmenu-id").innerHTML = inneroptions;
        }
      }
      xhttp.open("GET", "<?= $this->Url->build(['controller' => 'menus', 'action' => 'updateSubMenu']) ?>/"+str, true);
      xhttp.send();
    }
 
	function removeImage(str){
		// remove picture reference from the table and file from the server
		xhttp = new XMLHttpRequest();
		xhttp.onreadystatechange = function() {
			if (xhttp.readyState == 4 && xhttp.status == 200) {

				// Sanitize all the json encodings make it a bare string : and ,
				alert('deleted');
				
				var oldpicture = document.getElementById('image_div' + str);
				oldpicture.parentNode.removeChild(oldpicture);
			}
		}
		
		xhttp.open("GET", "<?= $this->Url->build(['controller' => 'Contents', 'action' => 'removeImage']) ?>/"+str, true);
		xhttp.send();
	}
		
</script> 