	<div class="container">
		<p style="text-align: center;">
			<?php echo $this->Paginator->counter(array('format' => __('Page {{page}} of {{pages}}, showing {{current}} records out of {{count}} total, starting on record {{start}}, ending on {{end}}'))); ?>
		</p>

		<div class="table-responsive">
			<table class="table table-striped">
				<thead>
					<tr>    
					<th>Section </th>  
					<th>Name</th>
					<th>Content </th>   
					<th>Image</th>    
					<th class="actions"> <span class="pull-right"><?= __('Actions') ?></span></th>
					</tr>
				</thead>
				<tbody>
					<?php 
						foreach ($listings as $listing):
							$img = Cake\Core\Configure::read('IMAGE_PREPATH') . 'noimage.jpg';
							$showImage = false;
						
							if(sizeof($listing->content->content_images) > 0 && isset($listing->content->content_images[0]->image_path) && trim($listing->content->content_images[0]->image_path) != '' ){
								$img = Cake\Core\Configure::read('IMAGE_PREPATH') . $listing->content->content_images[0]->image_path;
							}
						
							if(file_exists(realpath($img)) && (filesize(realpath($img)) > 4000)){
								$showImage = true;
							}
					?>
					<tr>
						<td><?= $listing->menu->name ?></td>
						<td><?= $listing->content->name ?></td>
						<td><?= $this->Text->truncate($this->Text->autoParagraph($listing->content->content),1500,['ellipsis' => '...','exact' => false])?></td>
						<td>
							total:<?= sizeof($listing->content->content_images)?>
							<?= sizeof($listing->content->content_images) > 0 ? '<br/>' : '' ?>
							<?= $showImage ? $this->Html->image($img, [  'height' => '70px']) : '' ?>
						</td>
						<td>
							<span class="pull-right">
								<?php
									if(in_array($listing->content->status, [0,2,99])){ 
										echo $this->Html->link(__('Enable '), ['controller' => isset($this->request->params['section']) ? $this->request->params['section'] : $this->request->params['controller'], 'action' => 'enableListing',$listing->content->id]); 
										
									} 
									else if($listing->content->status == 1){ 
										echo $this->Html->link(__('Disable '), ['controller' => isset($this->request->params['section']) ? $this->request->params['section'] : $this->request->params['controller'], 'action' => 'disableListing',$listing->content->id]); 
									}
							
									echo " | ";
									echo $this->Html->link(__("Edit"), ['controller' => isset($this->request->params['section']) ? $this->request->params['section'] : $this->request->params['controller'], 'action' => 'edit',$menuitemid, $listing->content->id]) ;
								?>
								
							</span> 
						</td>
					</tr>
					<?php endforeach; ?>
				</tbody>
			</table>
			
			
		</div>
		<div class="row">
	<div class="col-sm-12">
		<div class="paginator" style="text-align: center;">
		<ul class="pagination">
			<?= $this->Paginator->prev('< ' . __('prev')) ?>
			<?= $this->Paginator->numbers(['first' => 3, 'last' => 3, 'modulus' => 4]) ?>
			<?= $this->Paginator->next(__('next') . ' >') ?>
		</ul>
		<p><?= $this->Paginator->counter() ?></p>
		</div>
	</div>
	</div>
	</div>