<style>
     /* .topnav-bg {
  background: #16222A;
  background: -webkit-linear-gradient(59deg, #3A6073, #16222A);
  background: linear-gradient(59deg, #3A6073, #16222A);
  color: white;
} */

.topnav-bg {
    background: #fff;
    padding: 14px 0px 0px 0px;
    color: #000;
    font-family: 'arial', 'Roboto', sans-serif;
}
.top_nav_rectangle_logo{
    width: 156px;
    height: 95px;
}
.top-bar-contents{
    padding-top:10px;
}


.fixed-top.navbar {
    padding: 10px 0px;
}

.navbg-color{
    /* background-color: #f0f0f0; */
    background-color: #006951;
    padding: 15px 0px;
   /* -moz-box-shadow: 0 4px 4px rgba(0, 0, 0, 0.4);
    -webkit-box-shadow: 0 4px 4px rgba(0, 0, 0, 0.4);
    box-shadow: 0 4px 4px rgba(0, 0, 0, 0.4); */
}

.navbar {
    position: relative;
    display: flex;
    line-height:30px;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
    padding-top: 0rem!important;
    padding-bottom: 0rem!important;
}
.nav-link a {
    color: #fff!important;
    font-size:15px;
}

.nav-item{
    padding:0px 10px;
}


.nav-item a {
    color: #fff!important;
    font-size:15px;
    font-weight:400;
    /* text-transform:uppercase; */
    padding-left:10px!important;
    padding-right:10px!important;
}

.nav-item a:hover {
    color: #000!important;
    background-color:#cccccc;
    display:block;
}

// this is a black icon with 50% opacity
.navbar-light .navbar-toggler-icon {
  background-image: url("data:image/svg+xml;..");
}
// this is a white icon with 50% opacity
.navbar-dark .navbar-toggler-icon {
  background-image: url("data:image/svg+xml;..");
}

.navbar-expand-lg .navbar-nav .dropdown-menu {
    position: absolute;
    /* margin-top: 40px!important; */
}

.dropdown ul {
    padding:0px;
}

.dropdown ul li a{
    color: #000!important;
    font-size:15px;
    text-transform:none;
    font-weight:400;
    margin:0px;
    padding:5px 0px;
    /* margin-top:5px; */
}

.navbar-wrap{
    padding: 0px 0px;
}

.logoImg{
    /* background-color: #000; */
}

.top_nav_logo {
    height: 80px;
  
}

.rectangle-logo{
    width: 250px;
    height: 100px;
    object-fit: contain;
}

.top-bar-contents{
    padding-top:20px;
    text-align:right;
    font-size:20px;
}

.top-bar-contents .fa{
    color:#054502;
    font-size:20px;
}



/* Smaller Screen */
@media screen and (max-width: 640px) {
  .navbar-toggler{
      float:left;
      margin-right:15px!important;
}
.top-bar-contents{
    display:none!important;
}

}


</style> 


<script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.4.1/dist/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>

<?= $this->Html->script('../js/jquery-1.11.0.min.js') ?>


 <link href="https://fonts.googleapis.com/css?family=Raleway:400,700" rel="stylesheet">



    <!-- Latest compiled and minified CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet">

   




<script type="text/javascript">
/// some script

// jquery ready start
$(document).ready(function() {
    // jQuery code

    ///////////////// fixed menu on scroll for desctop
    if ($(window).width() > 992) {

        var navbar_height = $('.navbar').outerHeight();

        $(window).scroll(function() {
            if ($(this).scrollTop() > 300) {
                $('.navbar-wrap').css('height', navbar_height + 'px');
                $('#navbar_top').addClass("fixed-top");

            } else {
                $('#navbar_top').removeClass("fixed-top");
                $('.navbar-wrap').css('height', 'auto');
            }
        });
    } // end if


}); // jquery end


document.addEventListener("DOMContentLoaded", function() {
    // make it as accordion for smaller screens
    if (window.innerWidth > 992) {

        document.querySelectorAll('.navbar .nav-item').forEach(function(everyitem) {

            everyitem.addEventListener('mouseover', function(e) {

                let el_link = this.querySelector('a[data-bs-toggle]');

                if (el_link != null) {
                    let nextEl = el_link.nextElementSibling;
                    el_link.classList.add('show');
                    nextEl.classList.add('show');
                }

            });
            everyitem.addEventListener('mouseleave', function(e) {
                let el_link = this.querySelector('a[data-bs-toggle]');

                if (el_link != null) {
                    let nextEl = el_link.nextElementSibling;
                    el_link.classList.remove('show');
                    nextEl.classList.remove('show');
                }


            })
        });

    }
    // end if innerWidth
});
// DOMContentLoaded  end
</script>




<header>
<div class="topnav-bg hide_top_nav">
    <div class="container-fluid">
        <div class="row nav_icon px-2">

            <div class="col-xs-12 col-sm-12 col-md-3 col-xl-3 col-xxl-3 pull-left">
                <div class="logoImgs top_nav_logo">
                    <?php echo $this->Html->link(
                    $this->Html->image($appSettings['SITE-LOGO'], ['class' => ""]),
                    ['controller' => 'home'],
                    ['escape' => false, 'class' => "navbar-brand "]
                    ); ?>
                </div>
            </div>


            <div class="col-xs-12 col-sm-12 col-md-9 col-xl-9 col-xxl-9 ">
                <div class="row justify-content-end">
                    <div class="col-xs-12 col-sm-12 col-md-4 col-xl-3 col-xxl-3">
                        <div class="phone top-bar-contents">
                            <div style="float:right;"><i class="fa fa-phone"></i>&nbsp;&nbsp; +233 54 215 8724</div>
                        </div>
                    </div>

                    <div class="col-xs-12 col-sm-12 col-md-4 col-xl-3 col-xxl-3">
                        <div class="phone top-bar-contents">
                            <div style="float:right;"><i class="fa fa-envelope"></i>&nbsp;&nbsp; info@ghisep.org</div>
                        </div>
                    </div>

                    <div class="col-xs-12 col-sm-12 col-md-4 col-xl-3 col-xxl-3">
                        <div class="phone top-bar-contents" style="">
                        <a href="#" class="btn btn-primary sharp"><i class="fa fa-lock" style="color:#fff;"></i>&nbsp; Login</a>
                        <a href="<?= $this->Url->build(['controller' => 'Register', 'action' => 'index']) ?>" 
                        class="btn btn-success sharp"><i class="fa fa-lock" style="color:#fff;"></i> &nbsp;Register</a>
                        </div>
                    </div>
                </div>
            </div>


            </div>

    </div>
</div>

    <div class="navbar-wrap">
        <nav id="navbar_top" class="navbar navbar-expand-lg navbar-dark navbg-color">
            <!-- <span class="navbar-brand mb-0 h1 hide">Menu</span> -->
                <button class="navbar-toggler navbar-dark" type="button" data-bs-toggle="collapse"
                    data-bs-target="#navbarNavDropdown" aria-controls="navbarNavDropdown" aria-expanded="false"
                    aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                
            <div class="container">

                <div class="collapse navbar-collapse justify-content-center text-center" id="navbarNavDropdown">
                    <ul class="navbar-nav">
                        <?php foreach ($menus as $menu) :
      if (!$menu->has('child_menus') || sizeof($menu->child_menus) <= 0) {
        ?>

                        <li class="nav-item">
                            <?= $this->Html->link($menu->name, ['controller' => $menu->slug, 'action' => 'index'], ['class' => 'nav-link']) ?>
                        </li>

                        <?php } else { ?>

                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button"
                                data-bs-toggle="dropdown" aria-expanded="false">
                                <?= $menu->name ?>
                            </a>

                            <ul class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                                <?php foreach ($menu->child_menus as $sub) : ?>
                                <?php if (1 == 1) { ?>
                                <li><?= $this->Html->link($sub->name, ['controller' => $menu->slug, 'action' => $sub->slug],
                                 ['class' => 'dropdown-item', 'style' => ';']) ?>
                                </li>
                                <?php } else { ?>

                                <li class="dropdown dropdown-submenu"><a href="#" class="dropdown-toggle"
                                        data-toggle="dropdown"><?= $sub[2] ?></a>
                                    <ul class="dropdown-menu">
                                        <?php foreach ($sub as $subsub) : ?>
                                        <li> <?= $menu->name ?> </li>
                                        <?php endforeach ?>
                                    </ul>
                                </li>
                                <?php } ?>
                                <?php endforeach ?>

                            </ul>

                        </li>
                        <?php } endforeach ?>
                    </ul>
                </div>
            </div>
        </nav>
    </div>

</header>