 <!-- Icon Font Stylesheet -->
 <style>
    .white_text a{
        color:#fff!important;
        text-transform: uppercase;
        justify-content: center!important;

    }
    .top_trans{
    background-color: rgb(0, 0, 0, 0.6);
    z-index: 99;
	color:#fff!important;
}

.menu_trans{
    background-color: rgb(0, 0, 0, 0.6);
	color:#fff!important;
    padding: 20px 0px;
}

.white_background{
    background-color: #6e0933;
	color:#fff!important;
	padding: 20px 0px;
}

.banner_under{
    position: relative;
    margin-top: -320px;
    z-index: -99;
}

.menu_center{  
    justify-content: center!important;
    margin:0px auto;
}
.b_text{
	font-size: 6px;
	font-weight: 500;
}
.navbar-expand-lg .navbar-nav .nav-link {
    padding-right: 0.9rem;
    padding-left: 0.9rem;
    font-weight:500;
    font-size: 14px;
}
.logo_top_p{
    padding-top:10px;
}
</style>

<script type="text/javascript">
 // Sticky Navbar
 $(window).scroll(function () {
        if ($(this).scrollTop() > 300) {
            $('.sticky-top').addClass('shadow-sm').css('top', '0px');
            $('.navbar').addClass('white_background');
        } else {
            $('.sticky-top').removeClass('shadow-sm').css('top', '-100px');
            $('.navbar').removeClass('white_background');
        }
    });
</script>


    <!-- Topbar Start -->
    <div class="container-fluid p-0 wow fadeIn top_trans" data-wow-delay="0.1s">
        <div class="row gx-0 d-none d-lg-flex">
            <div class="col-lg-5 px-5 text-start b_text">
                <div class="h-100 d-inline-flex align-items-center py-3 me-4">
                    <small class="fa fa-phone-alt text-primary me-2"></small>
                    <small>+233 244 336 070, +233 302 227 00</small>
                </div>
                <!-- <div class="h-100 d-inline-flex align-items-center py-3">
                    <small class="far fa-clock text-primary me-2"></small>
                    <small> <span id ='clock'> </small>
                </div> -->
            </div>
            <div class="col-lg-3 px-5 text-start">
                <div class="logo_top_p">
                    <?php echo $this->Html->link(
                    $this->Html->image($appSettings['SITE-LOGO'], ['style' => "height:100px; width:86px; "]),
                    ['controller' => 'home'],
                    ['escape' => false, 'class' => "navbar-brand d-flex align-items-center px-4 px-lg-5"]
                    ); ?>
                </div>
            </div>
            <div class="col-lg-4 px-5 text-end">
                <div class="h-100 d-inline-flex align-items-center">
                    <a class="btn btn-sm-square rounded-circle bg-white text-primary me-1" href=""><i class="bx bxl-twitter"></i></a>
                    <a class="btn btn-sm-square rounded-circle bg-white text-primary me-1" href=""><i class="fab fa-twitter"></i></a>
                    <a class="btn btn-sm-square rounded-circle bg-white text-primary me-1" href=""><i class="fab fa-linkedin-in"></i></a>
                    <a class="btn btn-sm-square rounded-circle bg-white text-primary me-0" href=""><i class="fab fa-instagram"></i></a>
                </div>
            </div>
        </div>
    </div>
    <!-- Topbar End -->


    <!-- Navbar Start -->
    <nav class="navbar navbar-expand-lg navbar-light sticky-top wow fadeIn menu_trans" data-wow-delay="0.1s">
            
       
        <button type="button" class="navbar-toggler me-4" data-bs-toggle="collapse" data-bs-target="#navbarCollapse">
            <span class="navbar-toggler-icon"></span>
        </button>

        
        <div class="collapse navbar-collapse" id="navbarCollapse">
            <div class="navbar-nav ms-auto p-4 p-lg-0 menu_center">
            <ul class="navbar-nav">
                        <?php foreach ($menus as $menu) :
                             if (!$menu->has('child_menus') || sizeof($menu->child_menus) <= 0) {
                        ?>

                        <li class="nav-item white_text">
                            <?= $this->Html->link($menu->name, ['controller' => $menu->slug, 'action' => 'index'], ['class' => 'nav-link']) ?>
                        </li>

                        <?php } else { ?>

                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button"
                                data-bs-toggle="dropdown" aria-expanded="false">
                                <?= $menu->name ?>
                            </a>

                            <ul class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                                <?php foreach ($menu->child_menus as $sub) : ?>
                                <?php if (1 == 1) { ?>
                                <li><?= $this->Html->link($sub->name, ['controller' => $menu->slug, 'action' => $sub->slug],
                                 ['class' => 'dropdown-item', 'style' => ';']) ?>
                                </li>
                                <?php } else { ?>

                                <li class="dropdown dropdown-submenu"><a href="#" class="dropdown-toggle"
                                        data-toggle="dropdown"><?= $sub[2] ?></a>
                                    <ul class="dropdown-menu">
                                        <?php foreach ($sub as $subsub) : ?>
                                        <li> <?= $menu->name ?> </li>
                                        <?php endforeach ?>
                                    </ul>
                                </li>
                                <?php } ?>
                                <?php endforeach ?>

                            </ul>

                        </li>
                        <?php } endforeach ?>
                    </ul>
            </div>
        </div>
    </nav>
    <!-- Navbar End -->