<style>
  #name,#fname{
      margin-left:-9px;
  }

  label{
      margin-top:10px;
  }

  .formInput{
background-color: #eee; 
width: 500px;
height:51px;
  }

.msg_button{
    margin-top:30px;
    padding: 10px;
    width:120px;
    font-size:20px;
    font-weight:500;
    background: rgba( 63, 144, 240, 0.8 );
box-shadow: 0 8px 32px 0 rgba( 31, 38, 135, 0.37 );
}

.formBorder {
    background-color:#fff;
    padding:20px 20px 30px;
    margin-top:30px;

}

.bv_forms{
   padding-right:2em;
   margin-left:-2em;
}

.mapAddress{
    margin-top:15em;
    margin-left:25px
}

.formTitle{
    margin-left:20px;
}

.bg_form{
    background-color:red;
    margin:0px;
}

</style>

<div class="container">
    <div class="row">
        <div class="col-md-6 bv_forms">
            <h3 class="formTitle">Contact Us</h3>
            <?= $this->Flash->render() ?>
            <?= $this->Form->create(null,  ['url' => ['controller' => 'ContactUs', 'action' => 'sendMessage']]) ?>
            <div class="row formBorder">
                <div class="col-md-6">
                <label id="fname">Full Name</label>
                    <?= $this->Form->input('name', ['class' => 'form-control text-line-input','id'=>'name','label' => false,
                    'style'=>" height:51px; background-color:#EEE;"]);?>
                </div>

                <div class="col-md-6 gx-2">
                <label>Phone</label>
                <?= $this->Form->tel('phone', ['class' => 'form-control text-line-input ','id'=>'phone','label' => false,'style'=>"height:51px; background-color:#EEE;"]);?>
                </div>

                <div class="col-md-12 gx-2">
                <label>Email</label>
                <?= $this->Form->email('email', ['class' => 'form-control text-line-input formInput','id'=>'email','label' => false,]);?>
                </div>

                <div class="col-md-12 gx-2">
                <label>Subject</label>
                <?= $this->Form->input('subject', ['class' => 'form-control text-line-input formInput','id'=>'subject','label' => false,]);?>
                </div>

                <div class="col-md-12 gx-2">
                <label class="message_label">Message</label>
                <?= $this->Form->textarea('message', ['class' => 'form-control text-area-input','id'=>'message','cols'=>30,'rows'=>5,'style'=>"width: 99.9%; background-color:#EEE;"]);?>
                </div>

                <?php echo $this->Form->submit('Send',array('class'=>'msg_button btn btn-primary waves-effect waves-light','div'=>false,
                'id'=>'send_messages'));
            ?>
            </div>
       
        </div>

        <div class="col-md-6">
            <h3 class="formTitle">Our Location</h3>

            <div class="map">
            <?= $this->element('snippets/sample/contact_map_2', ['contactDetails' => $contactDetails]) ?>
            </div>

            <div class="mapAddress">
            <b class="map_address">Location:</b> <?= $contactDetails->address1 ?> <?= $contactDetails->address2 ?>
            </div>


        </div>
        <?= $this->Form->end() ?>
    </div>
</div>