<style>
.error-message {
    color: red;
}
.steps{
    font-size:20px;
    font-weight:bold;
}
.fs-title{
    font-size:25px;
    font-weight:bold!important;
}
</style>

<div class="row">
    <div class="container-fluid p-5">
        <div class="col-11 col-sm-12 col-md-12 col-lg-12 col-xl-12  ">
            <?= $this->Form->create(NULL, ['controller' => 'Users', 'action'=>'address']);?>

            <div class="card">
                <div class="card-header">
                    <h2 id="heading" class="text-center py-3"> Sign Up Form :
                    </h2>

                    <div class="mt-5 text-center">
                        <ul id="progressbar">
                            <li class="active" id="personal"><strong> Personal Information </strong></li>
                            <li class="active" id="address"><strong> Address </strong></li>
                            <li id="education"><strong> Education </strong></li>
                            <li id="professional"><strong> Professional Information</strong></li>
                            <li id="payment"><strong> Payment Information </strong></li>
                            <li id="confirm"><strong> Finish </strong></li>
                        </ul>
                    </div>

                    <div class="progress">
                        <div class="pbar pbar-striped pbar-animated" role="progressbar" aria-valuemin="0"
                            aria-valuemax="100"> </div>
                    </div>

                </div>

                <div class="card-body">
                    <div class="row">
                        <div class="col-xs-12 col-sm-12 col-md-7 col-xl-7 col-xxl-7">
                            <h2 class="fs-title"> Address: </h2>
                            <p> All Fields marked (*) Required </p>
                        </div>

                        <div class="col-xs-12 col-sm-12 col-md-5 col-xl-5 col-xxl-5">
                            <h2 class="steps"> Step 2 - 6 </h2>
                        </div>
                    </div>

                    <div class="col-xs-12 col-sm-12 col-md-12 col-xl-12 col-xxl-12 ">
                        <div class="row">
                            <div class="col-xs-12 col-sm-12 col-md-6 col-xl-6 col-xxl-6">
                                <?= $this->Form->tel('officePhone',['class'=>'form-control','placeholder'=>'Office Address','label' => false,'required'=>true]);?>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-6 col-xl-6 col-xxl-6">
                                <?= $this->Form->tel('homePhone',['class'=>'form-control','placeholder'=>'Home Phone','label' => false,'required'=>true]);?>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-xs-12 col-sm-12 col-md-6 col-xl-6 col-xxl-6">
                                <?= $this->Form->input('businessAddress',['class'=>'form-control','placeholder'=>'Business Address','label' => false,'required'=>true]);?>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-6 col-xl-6 col-xxl-6">
                                <?= $this->Form->input('homeAddress',['class'=>'form-control','placeholder'=>'Home Address','label' => false,'required'=>true]);?>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-xs-12 col-sm-12 col-md-12 col-xl-12 col-xxl-12">
                            <?= $this->Form->select('MailingAddress', ['select'=>'Please select you prefered mailing address *','business address'=>'Business Address', 'home address'=>'Home Address'],
                                ['class' => 'form-control','label' => false,'placeholder'=>'']);?>
                            </div>
                        </div>


                    </div>

                </div>
                <div class="row mx-2">
                    <div class="col-xs-12 col-sm-12 col-md-12 col-xl-12 col-xxl-12 text-center mb-3">
                        
                        <div class="btn-group" style="float:left;" role="group" aria-label="Basic example">
                            <a href="javascript:history.back()" class="btn btn-success">
                                Previous
                            </a>
                        </div>

                        <div class="btn-group"  style="float:right;" role="group" aria-label="Basic example">
                            <?php echo $this->Form->submit('Next',array('class'=>'btn btn-success  next action-button','div'=>false,'id'=>'send_message'));?>
                        </div>

                    </div>
                </div>

            </div>
            <?= $this->Form->end() ?>
        </div>

    </div>
</div>