<style>
.error-message {
    color: red;
}
.steps{
    font-size:20px;
    font-weight:bold;
}
.fs-title{
    font-size:25px;
    font-weight:bold!important;
}
.text{
    /* margin: 20px 0px; */
    margin-bottom:-10px!important;
}
.checkbox{
    margin-bottom:10px;
}
</style>

<div class="row">
    <div class="container-fluid p-5">
        <div class="col-11 col-sm-12 col-md-12 col-lg-12 col-xl-12  ">
            <?= $this->Form->create(NULL, ['controller' => 'Users', 'action'=>'professionalInformation']);?>

            <div class="card">
                <div class="card-header">
                    <h2 id="heading" class="text-center py-3"> Sign Up Form </h2>

                    <div class="mt-5 text-center">
                        <ul id="progressbar">
                            <li class="active" id="personal"><strong> Personal Information </strong></li>
                            <li class="active" id="address"><strong> Address </strong></li>
                            <li class="active" id="education"><strong> Education </strong></li>
                            <li class="active" id="professional"><strong> Professional Information</strong></li>
                            <li id="payment"><strong> Payment Information </strong></li>
                            <li id="confirm"><strong> Finish </strong></li>
                        </ul>
                    </div>

                    <div class="progress">
                        <div class="pbar pbar-striped pbar-animated" role="progressbar" aria-valuemin="0"
                            aria-valuemax="100"> </div>
                    </div>

                </div>

                <div class="card-body">
                    <div class="row">
                        <div class="col-xs-12 col-sm-12 col-md-7 col-xl-7 col-xxl-7">
                            <h2 class="fs-title"> Professional Information: </h2>
                            <p> All Fields marked (*) Required </p>
                        </div>

                        <div class="col-xs-12 col-sm-12 col-md-5 col-xl-5 col-xxl-5">
                            <h2 class="steps"> Step 4 - 6 </h2>
                        </div>
                    </div>

                    <div class="col-xs-12 col-sm-12 col-md-12 col-xl-12 col-xxl-12 ">

                        <div class="row">
                            <div class="col-xs-12 col-sm-12 col-md-4 col-xl-4 col-xxl-4">
                                <?= $this->Form->control('currentplaceofemployment',['class'=>'form-control','placeholder'=>'Current Place of Employment *','label' => false]);?>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-4 col-xl-4 col-xxl-4">
                                <?= $this->Form->control('currentworktitle',['class'=>'form-control','placeholder'=>'Current Work Title *','label' => false]);?>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-4 col-xl-4 col-xxl-4">
                                <?= $this->Form->control('currentpositionduration',['class'=>'form-control','placeholder'=>'Current Position duration(year/month) *','label' => false]);?>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-xs-12 col-sm-12 col-md-4 col-xl-4 col-xxl-4">
                                <?= $this->Form->control('currentplaceofemployment1',['class'=>'form-control','placeholder'=>'Previous Place of Employment 1','label' => false]);?>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-4 col-xl-4 col-xxl-4">
                                <?= $this->Form->control('currentworktitle1',['class'=>'form-control','placeholder'=>'Previous Work Title 1','label' => false]);?>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-4 col-xl-4 col-xxl-4">
                                <?= $this->Form->control('firstpreviousposition',['class'=>'form-control','placeholder'=>'First Previous Position Duration(year/month)','label' => false]);?>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-xs-12 col-sm-12 col-md-4 col-xl-4 col-xxl-4">
                                <?= $this->Form->control('currentplaceofemployment2',['class'=>'form-control','placeholder'=>'Previous Place of Employment 2','label' => false]);?>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-4 col-xl-4 col-xxl-4">
                                <?= $this->Form->control('currentworktitle2',['class'=>'form-control','placeholder'=>'Previous Work Title 2','label' => false]);?>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-4 col-xl-4 col-xxl-4">
                                <?= $this->Form->control('secondpreviousposition',['class'=>'form-control','placeholder'=>'Second Previous Position Duration(year/month)','label' => false]);?>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-xs-12 col-sm-12 col-md-12 col-xl-12 col-xxl-12" style="margin-top:20px;">
                                <?= $this->Form->select('totalnumberofyears', ['select'=>'Total years in related work','3'=>'3', '4'=>'4', '5'=>'5', '6'=>'6'],
                                    ['class' => 'form-control','label' => false,'placeholder'=>'']);?>
                            </div>
                        </div>

                        <div class="my-4 text-center"><h3>Areas of expertise</h3></div>

                        <div class="row">
                            <div class="col-xs-12 col-sm-12 col-md-3 col-xl-3 col-xxl-3">
                                <div class="checkbox">
                                    <?= $this->Form->checkbox('card', ['value' => 'card','id'=>'MiningSafety']);?>
                                    <label for="ModelName2">&nbsp; Mining Safety</label>
                                </div>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-3 col-xl-3 col-xxl-3">
                                <div class="checkbox">
                                    <?= $this->Form->checkbox('card', ['value' => 'card','id'=>'Forestry']);?>
                                    <label for="ModelName2">&nbsp; Forestry</label>
                                </div>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-3 col-xl-3 col-xxl-3">
                                <div class="checkbox">
                                    <?= $this->Form->checkbox('card', ['value' => 'card','id'=>'Transportation']);?>
                                    <label for="ModelName2">&nbsp; Transportation</label>
                                </div>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-3 col-xl-3 col-xxl-3">
                                <div class="checkbox">
                                    <?= $this->Form->checkbox('card', ['value' => 'card','id'=>'EmergencyServices']);?>
                                    <label for="ModelName2">&nbsp; Emergency Services</label>
                                </div>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-3 col-xl-3 col-xxl-3">
                                <div class="checkbox">
                                    <?= $this->Form->checkbox('card', ['value' => 'card','id'=>'FirePrevention']);?>
                                    <label for="ModelName2">&nbsp; Fire Prevention </label>
                                </div>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-3 col-xl-3 col-xxl-3">
                                <div class="checkbox">
                                    <?= $this->Form->checkbox('card', ['value' => 'card','id'=>'Community']);?>
                                    <label for="ModelName2">&nbsp; Community</label>
                                </div>
                            </div>
                            
                            <div class="col-xs-12 col-sm-12 col-md-3 col-xl-3 col-xxl-3">
                                <div class="checkbox">
                                    <?= $this->Form->checkbox('card', ['value' => 'card','id'=>'Manufacturing']);?>
                                    <label for="ModelName2">&nbsp; Manufacturing</label>
                                </div>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-3 col-xl-3 col-xxl-3">
                                <div class="checkbox">
                                    <?= $this->Form->checkbox('card', ['value' => 'card','id'=>'IndustrialHygiene']);?>
                                    <label for="ModelName2">&nbsp; Industrial Hygiene</label>
                                </div>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-3 col-xl-3 col-xxl-3">
                                <div class="checkbox">
                                    <?= $this->Form->checkbox('card', ['value' => 'card','id'=>'TrainingEducation']);?>
                                    <label for="ModelName2">&nbsp; Training/Education</label>
                                </div>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-3 col-xl-3 col-xxl-3">
                                <div class="checkbox">
                                    <?= $this->Form->checkbox('card', ['value' => 'card','id'=>'Consulting']);?>
                                    <label for="ModelName2">&nbsp; Consulting</label>
                                </div>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-3 col-xl-3 col-xxl-3">
                                <div class="checkbox">
                                    <?= $this->Form->checkbox('card', ['value' => 'card','id'=>'OilEnergy']);?>
                                    <label for="ModelName2">&nbsp; Oil and Energy</label>
                                </div>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-3 col-xl-3 col-xxl-3">
                                <div class="checkbox">
                                    <?= $this->Form->checkbox('card', ['value' => 'card','id'=>'FoodProcessing']);?>
                                    <label for="ModelName2">&nbsp; Food Processing</label>
                                </div>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-3 col-xl-3 col-xxl-3">
                                <div class="checkbox">
                                    <?= $this->Form->checkbox('card', ['value' => 'card','id'=>'Environmental']);?>
                                    <label for="ModelName2">&nbsp; Environmental</label>
                                </div>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-3 col-xl-3 col-xxl-3">
                                <div class="checkbox">
                                    <?= $this->Form->checkbox('card', ['value' => 'card','id'=>'Ergonomics']);?>
                                    <label for="ModelName2">&nbsp; Ergonomics</label>
                                </div>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-3 col-xl-3 col-xxl-3">
                                <div class="checkbox">
                                    <?= $this->Form->checkbox('card', ['value' => 'card','id'=>'Construction']);?>
                                    <label for="ModelName2">&nbsp; Construction</label>
                                </div>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-3 col-xl-3 col-xxl-3">
                                <div class="checkbox">
                                    <?= $this->Form->checkbox('card', ['value' => 'card','id'=>'PublicServices']);?>
                                    <label for="ModelName2">&nbsp; Public Services</label>
                                </div>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-3 col-xl-3 col-xxl-3">
                                <div class="checkbox">
                                    <?= $this->Form->checkbox('card', ['value' => 'card','id'=>'Engeneering']);?>
                                    <label for="ModelName2">&nbsp; Engeneering</label>
                                </div>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-3 col-xl-3 col-xxl-3">
                                <div class="checkbox">
                                    <?= $this->Form->checkbox('card', ['value' => 'card','id'=>'Healthcare']);?>
                                    <label for="ModelName2">&nbsp; Healthcare</label>
                                </div>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-3 col-xl-3 col-xxl-3">
                                <div class="checkbox">
                                    <?= $this->Form->checkbox('card', ['value' => 'card','id'=>'Insurance']);?>
                                    <label for="ModelName2">&nbsp; Insurance</label>
                                </div>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-3 col-xl-3 col-xxl-3">
                                <div class="checkbox">
                                    <?= $this->Form->checkbox('card', ['value' => 'card','id'=>'Telecommunication']);?>
                                    <label for="ModelName2">&nbsp; Telecommunication</label>
                                </div>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-3 col-xl-3 col-xxl-3">
                                <div class="checkbox">
                                    <?= $this->Form->checkbox('card', ['value' => 'card','id'=>'Other']);?>
                                    <label for="ModelName2">&nbsp; Other</label>
                                </div>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-9 col-xl-9 col-xxl-9" style="margin-top:-20px;">
                                 <?= $this->Form->control('otherareas',['class'=>'form-control','placeholder'=>'Specify other areas of expertise','label' => false]);?>
                            </div>




                        </div>


                        

                       


                        
                        
                    </div>

                </div>

                <div class="row mx-2 mt-3">
                    <div class="col-xs-12 col-sm-12 col-md-8 col-xl-12 col-xxl-12 text-center mb-3">

                        <div class="btn-group" style="float:left; role="group" aria-label="Basic example">
                            <a href="javascript:history.back()" class="btn btn-success">
                                Previous
                            </a>
                        </div>

                        <div class="btn-group" style="float:right; role="group" aria-label="Basic example">
                            <?php echo $this->Form->submit('Next',array('class'=>'btn btn-success  next action-button','div'=>false,'id'=>'send_message'));?>
                        </div>

                    </div>
                </div>

            </div>
            <?= $this->Form->end() ?>
        </div>

    </div>
</div>