<link href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@1,100&display=swap" rel="stylesheet">


<script type="text/javascript">
/// some script

// jquery ready start
$(document).ready(function() {
    // jQuery code

    ///////////////// fixed menu on scroll for desctop
    if ($(window).width() > 992) {

        var navbar_height = $('.navbar').outerHeight();

        $(window).scroll(function() {
            if ($(this).scrollTop() > 300) {
                $('.navbar-wrap').css('height', navbar_height + 'px');
                $('#navbar_top').addClass("fixed-top");

            } else {
                $('#navbar_top').removeClass("fixed-top");
                $('.navbar-wrap').css('height', 'auto');
            }
        });
    } // end if


}); // jquery end


document.addEventListener("DOMContentLoaded", function(){
// make it as accordion for smaller screens
if (window.innerWidth > 992) {

    document.querySelectorAll('.navbar .nav-item').forEach(function(everyitem){

        everyitem.addEventListener('mouseover', function(e){

            let el_link = this.querySelector('a[data-bs-toggle]');

            if(el_link != null){
                let nextEl = el_link.nextElementSibling;
                el_link.classList.add('show');
                nextEl.classList.add('show');
            }

        });
        everyitem.addEventListener('mouseleave', function(e){
            let el_link = this.querySelector('a[data-bs-toggle]');

            if(el_link != null){
                let nextEl = el_link.nextElementSibling;
                el_link.classList.remove('show');
                nextEl.classList.remove('show');
            }


        })
    });

}
// end if innerWidth
}); 
// DOMContentLoaded  end


</script>

<style type="text/css">

.topnav-bg {
  background: #2b2b2b;
  height: 50px;
  color: white;
  font-family: 'Roboto', sans-serif;
}

.phone{
    /* margin-top:-40px; */
    display:flex;
}

.fa-phone,
.fa-envelope{ 
    color:#bf8e38;
}

.phone i,
.email i,
.phone label,
.email label{
padding-right:10px;
}

.email{
    /* margin-top:-40px; */
    display:flex;
    margin-left:-40px;
    font-size:16px;

}

.email p{

}

.fixed-top.navbar {
    padding: 10px 0px;
}

.navbg-color{
    /* background-color: #be740b; */
    background-color: rgb(0, 0, 0, 0.4);
    padding: 20px 0px;
   -moz-box-shadow: 0 4px 4px rgba(0, 0, 0, 0.4);
    -webkit-box-shadow: 0 4px 4px rgba(0, 0, 0, 0.4);
    box-shadow: 0 4px 4px rgba(0, 0, 0, 0.4);
    position: absolute;
    z-index: 99;
    width: 100%;
}

.nav-item{
    margin-right:30px;
    /* color:#1fbe56; */
}
.nav-link {
    color: #fff!important;
    font-size:18px;
    font-weight:700;
  
}
.dropdown-item{
    color: #111 !important;
    font-weight:600;
}



.navbar-toggler {
    background-color: #000!important;
}
.navbar-wrap{
    padding: 0px 0px;
}

#dropdown-menu{
    color:red !important;
}

.phone{

    font-size:18px;
    font-weight:700;
    line-height:25px;
    /* width:19em; */
    width:25%;  

}

.email{
    font-size:18px;
    font-weight:700;
    line-height:25px;
    /* width:25em */
    width:30%;

}

.address{
    font-size:14px;
    font-weight:700;
    line-height:25px;
    /* width:34em; */
    width:45%;

}

.fa{
    font-size:20px;
}

.logoImg{
    background-color:#fff;
    /* height:90px; */
    display: flex;
justify-content: center;
margin-left:30px;
padding:10px;
}
</style>



<header>
    <!-- <div class="topnav-bg  py-3">
        <div class="container">
            <div class="row">
                
                <div class="col-md-3 phone">
                <i class="fa fa-phone"></i>
                <label> Phone: </label>
                <p><?= $contacts->phone1?></p>
                </div>

                <div class="col-md-3 email">
                <i class="fa fa-envelope"></i>
                <label>Email:</label><br>
               <p><?= $contacts->email1?></p>
                </div>

                <div class="col-md-3 address">
                <i class="fa fa-map-marker" aria-hidden="true"></i>
                <label> Address:</label><br>
                <p><?= $contacts->address1?></p>
            </div> 
            </div>
        </div>
    </div> -->

    <div class="navbar-wrap">
        <nav id="navbar_top" class="navbar navbar-expand-lg navbar-dark navbg-color">
            <div class="container-fluid">

                <div class="logoImg">
                <?php echo $this->Html->link(
                $this->Html->image($appSettings['SITE-LOGO'], ['style' => "height:90px; width:180px; "]),
                ['controller' => 'home'],
                ['escape' => false, 'class' => "navbar-brand"]
            ); ?>
             </div>

                <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                    data-bs-target="#navbarNavDropdown" aria-controls="navbarNavDropdown" aria-expanded="false"
                    aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse justify-content-end" id="navbarNavDropdown">
                    <ul class="navbar-nav">
                        <?php foreach ($menus as $menu) :
      if (!$menu->has('child_menus') || sizeof($menu->child_menus) <= 0) {
        ?>

                        <li class="nav-item">
                            <?= $this->Html->link($menu->name, ['controller' => $menu->slug, 'action' => 'index'], ['class' => 'nav-link']) ?>
                        </li>

                        <?php } else { ?>

                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button"
                                data-bs-toggle="dropdown" aria-expanded="false">
                                <?= $menu->name ?>
                            </a>

                            <ul class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                                <?php foreach ($menu->child_menus as $sub) : ?>
                                <?php if (1 == 1) { ?>
                                <li><?= $this->Html->link($sub->name, ['controller' => $menu->slug, 'action' => $sub->slug],
                                 ['class' => 'dropdown-item', 'style' => ';']) ?>
                                </li>
                                <?php } else { ?>

                                <li class="dropdown dropdown-submenu"><a href="#" class="dropdown-toggle"
                                        data-toggle="dropdown"><?= $sub[2] ?></a>
                                    <ul class="dropdown-menu">
                                        <?php foreach ($sub as $subsub) : ?>
                                        <li> <?= $menu->name ?> </li>
                                        <?php endforeach ?>
                                    </ul>
                                </li>
                                <?php } ?>
                                <?php endforeach ?>

                            </ul>

                        </li>
                        <?php } endforeach ?>
                    </ul>
                </div>
            </div>
        </nav>
    </div>

</header>