<style>
.error-message {
    color: red;
}
.steps{
    font-size:20px;
    font-weight:bold;
}
.fs-title{
    font-size:25px;
    font-weight:bold!important;
}
.text{
    /* margin: 20px 0px; */
    margin-bottom:-10px!important;
}
</style>

<div class="row">
    <div class="container-fluid p-5">
        <div class="col-11 col-sm-12 col-md-12 col-lg-12 col-xl-12">
            <?= $this->Form->create(NULL, ['controller' => 'Users', 'action'=>'education']);?>

            <div class="card">
                <div class="card-header">
                    <h2 id="heading" class="text-center py-3">Sign Up Form </h2>

                    <div class="mt-5 text-center">
                        <ul id="progressbar">
                            <li class="active" id="personal"><strong> Personal Information </strong></li>
                            <li class="active" id="address"><strong> Address </strong></li>
                            <li class="active" id="education"><strong> Education </strong></li>
                            <li class="active" id="professional"><strong> Professional Information</strong></li>
                            <li class="active" id="payment"><strong> Payment Information </strong></li>
                            <li id="confirm"><strong> Finish </strong></li>
                        </ul>
                    </div>

                    <div class="progress">
                        <div class="pbar pbar-striped pbar-animated" role="progressbar" aria-valuemin="0"
                            aria-valuemax="100"> </div>
                    </div>

                </div>

                <div class="card-body">
                    <div class="row">
                        <div class="col-xs-12 col-sm-12 col-md-7 col-xl-7 col-xxl-7">
                            <h2 class="fs-title"> Education </h2>
                            <p> All Fields marked (*) Required </p>
                        </div>

                        <div class="col-xs-12 col-sm-12 col-md-5 col-xl-5 col-xxl-5">
                            <h2 class="steps"> Step 3 - 6 </h2>
                        </div>
                    </div>

                    <div class="col-xs-12 col-sm-12 col-md-12 col-xl-12 col-xxl-12 ">
                        <div class="row">

                            <div class="col-xs-12 col-sm-12 col-md-4 col-xl-4 col-xxl-4">
                                <?= $this->Form->select('levelOfEducation', ['select'=>'Level Of Education *','Basic'=>'Basic', 'Secondary'=>'Secondary', 'Tertiary'=>'Tertiary'],
                                ['class' => 'form-control','label' => false,'placeholder'=>'']);?>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-4 col-xl-4 col-xxl-4">
                                <?= $this->Form->select('certificate', ['select'=>'Certificate *','BECE'=>'BECE', 'WASSCE'=>'WASSCE', 'Diploma'=>'Diploma',
                                'HND'=>'HND','nursingcert'=>'Nursing Training Certificate','degrees'=>'Degree','mastersdiploma'=>'Masters Diploma','phd'=>'Ph.D'],
                                ['class' => 'form-control','label' => false,'placeholder'=>'']);?>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-4 col-xl-4 col-xxl-4" style="margin-top:-20px;">
                                <?= $this->Form->control('institution',['class'=>'form-control','placeholder'=>'Institution Name *','label' => false]);?>
                            </div>
                        </div>


                        <div class="row">
                            <div class="col-xs-12 col-sm-12 col-md-4 col-xl-4 col-xxl-4">
                                <?= $this->Form->control('institutionAddress',['class'=>'form-control','placeholder'=>'Institution Address *','label' => false]);?>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-4 col-xl-4 col-xxl-4">
                                <?= $this->Form->control('continuingEducation',['class'=>'form-control','placeholder'=>'Continuing Education *','label' => false]);?>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-4 col-xl-4 col-xxl-4">
                                <?= $this->Form->control('country',['class'=>'form-control','placeholder'=>'Country *','label' => false]);?>
                            </div>
                        </div>
                        
                    </div>

                </div>

                <div class="row mx-2 mt-3">
                    <div class="col-xs-12 col-sm-12 col-md-8 col-xl-12 col-xxl-12 text-center mb-3">

                        <div class="btn-group" style="float:left; role="group" aria-label="Basic example">
                            <a href="javascript:history.back()" class="btn btn-success">
                                Previous
                            </a>
                        </div>

                        <div class="btn-group" style="float:right; role="group" aria-label="Basic example">
                            <?php echo $this->Form->submit('Next',array('class'=>'btn btn-success  next action-button','div'=>false,'id'=>'send_message'));?>
                        </div>

                    </div>
                </div>

            </div>
            <?= $this->Form->end() ?>
        </div>

    </div>
</div>