<?= $this->Html->css('custom_radio.css'); ?>
<?= $this->Html->css('multi-image-selector.css'); ?>

<?= $this->Html->script('multi-image-selector-v2'); ?>
<?= $this->Html->script('multi-document-selector'); ?>

<p align="center">
	<?php echo "Manage " . $section; ?>
</p>

<hr class="separate-title"/>
	<?php echo $this->element('menus/items/sub_menu'); ?>
<hr class="separate-title"/>

<p align="center"><?= (isset($category) ? $category : '')?></p>

<hr class="separate-title"/>
	<?php echo $this->element('menus/items/sub_menu_category'); ?>
<hr class="separate-title"/>

<div class="row section-sub-title">
	<div class="col-sm-12">
		<h4 align="center">Edit a Listing: <?= $item->title ?></h4>
	</div>
</div>

<?= $this->Form->create($item, ['enctype' => 'multipart/form-data', 'class'=>'form-horizontal row-fluid', 'id'=>'register_form']) ?>
<div class="row form-area">
	<div class="col-sm-12">
		<?php	$arr=[1,4,11]; 

 if(in_array($sectionCategory->id,$arr)){ 
 $attributes = json_decode($item->attributes, true); 

 ?>
<div class="row form-group">
			<div class="col-sm-3 col-xs-12 field-label">
				Selling or Renting ? <span class="mandatory-field">*</span>
			</div>

			<div class="col-sm-9 col-xs-12 text-input">
				<?= $this->Form->input('rental_type', ['class' => 'form-control', 'label' => false, 'empty' => '--Select--', 'id'=>'rental_type',  'options' => $actions, 'value' => isset($attributes['rental_type'])?strtolower(str_replace(' ','_',$attributes['rental_type'])):'',  'required']);?>
			</div>
	



	
	</div>
	 <?php } ?>
		<div class="row form-group">
			<div class="col-sm-3 col-xs-12 field-label">
				Title
			</div>
			<div class="col-sm-9 col-xs-12 text-input">
				<?= $this->Form->input('title', ['class' => 'form-control', 'label' => false, 'required']);?>
			</div>
		</div>

		<?php
			if(isset($showCategories)){
		?>
		<div class="row form-group">
			<div class="col-sm-3 col-xs-12 field-label">
				Category <span class="mandatory-field">*</span>
			</div>
			<div class="col-sm-9 col-xs-12 text-input">
				<?= $this->Form->input('section_category_id', ['class' => 'form-control', 'label' => false, 'empty' => '--Select--','onChange'=>'updateSubCats(value)',  'option' => $sectionCategories,'value'=>$pcategory_id, 'required']);?>
			</div>
		</div>
		<?php } ?>

		<?php
			if(isset($showCategories) && $categoryDetails->category_depth!=1){

					?>
		<div class="row form-group">
			<div class="col-sm-3 col-xs-12 field-label">
				Sub Category <span class="mandatory-field">*</span>
			</div>
			<div class="col-sm-9 col-xs-12 text-input">
				<?= $this->Form->input('section_sub_category_id', ['class' => 'form-control', 'label' => false, 'empty' => '--Select--', 'id'=>'subCat','value'=>$scategory_id, 'options' => $scategories, 'required']);?>
			</div>
		</div>
		<?php }
		?>

<?php 

		if($categoryDetails->id==18){ 
     ?>
<div class="row form-group">
			<div class="col-sm-3 col-xs-12 field-label">
				Number Of Employees <span class="mandatory-field">*</span>
			</div>
			<div class="col-sm-9 col-xs-12 text-input">
				<?= $this->Form->input('number_of_employees', ['class' => 'form-control', 'label' => false, 'id'=>'number_of_employee_id', 'required','placeholder'=>'example: 15','type' => 'number']);?>
			</div>
		</div>

		<?php 
	}
		?>
		<div class="row form-group">
			<div class="col-sm-3 col-xs-12 field-label">
				Description
			</div>
			<div class="col-sm-9 col-xs-12 text-input">
				<?= $this->Form->input('description', ['class' => 'form-control ckeditor', 'label' => false, 'required']);?>
			</div>
		</div>

		<?php $attributes = json_decode($item->attributes, true);?>
		<?php foreach($categoryAttributes as $categoryAttribute) { 
			if($categoryAttribute->name != 'rental_type'){
			$optionsList = isset($attributeOptions[$categoryAttribute->id]) ? $attributeOptions[$categoryAttribute->id]->toArray() : '';
		?>
			<div class="row form-group">
				<div class="col-sm-3 col-xs-12 field-label">
					<?php 
						echo ucfirst(str_replace('_', ' ', $categoryAttribute->name));
						
					?>
				</div>
				<?php 
						 if($categoryAttribute->name=='application_deadline'){

          if(isset($attributes[$categoryAttribute->name]['year'])){

                $datereal=$attributes[$categoryAttribute->name]['year'].'-'.$attributes[$categoryAttribute->name]['month'].'-'.$attributes[$categoryAttribute->name]['day'];
                      $deadline = new Cake\I18n\Time($datereal, 'America/New_York');
                 }else{
                $deadline=$attributes[$categoryAttribute->name];
             }
             	?>
			              

          <div class="col-sm-3 col-xs-12 select-input">
           
               
                <div class='input-group date' id='datetimepicker2'>
                    <?php echo $this->Form->input($categoryAttribute->name, array( 'label'=>false,'class' => 'form-control', 'value' =>$deadline, 'type' => 'text')); ?>
                    <span class="input-group-addon">
                        <span class="glyphicon glyphicon-calendar"></span>
                    </span>
                </div>
           
        <script type="text/javascript">
            $(function () {
                $('#datetimepicker2').datetimepicker({
                    format: 'L'
                });
            });
        </script>




					</div>

		<?php 	
	 }elseif($categoryAttribute->name=='qualifications'){
					?>
				<div class="col-sm-9 col-xs-12 select-input">
					<?= $this->Form->textarea($categoryAttribute->name, ['class' => 'form-control', 'type' => $categoryAttribute->type, 'value' => $attributes[$categoryAttribute->name], 'label' => false, 'placeholder' => $categoryAttribute->placeholder, ($categoryAttribute->required == 1) ? 'required' : '']);?>
				</div>
				<?php 
		}elseif($categoryAttribute->name=='event_date'){
			if(isset($attributes[$categoryAttribute->name]['year'])){

                $datereal=$attributes[$categoryAttribute->name]['year'].'-'.$attributes[$categoryAttribute->name]['month'].'-'.$attributes[$categoryAttribute->name]['day'];
                      $deadevent = new Time($datereal, 'America/New_York');
                 }else{
                $deadevent=$attributes[$categoryAttribute->name];
             }
			?>


	          
              <div class="col-sm-3 col-xs-12 select-input">
           
                <div class='input-group date' id='datetimepicker1'>
                   <?php echo $this->Form->input($categoryAttribute->name, array( 'label'=>false,'class' => 'form-control', 'value' => $deadevent, 'type' => 'text')); ?>
                    <span class="input-group-addon">
                        <span class="glyphicon glyphicon-calendar"></span>
                    </span>
               
            </div>
    
        <script type="text/javascript">
            $(function () {
                 $('#datetimepicker1').datetimepicker({
                    format: 'L'
                });
            });
        </script>




					</div>

		<?php }elseif($categoryAttribute->name=='event_time'){
			?>


	          
              <div class="col-sm-3 col-xs-12 select-input">
           
               
                <div class='input-group date' id='datetimepicker3'>
                    <?php echo $this->Form->input($categoryAttribute->name, array( 'label'=>false,'class' => 'form-control', 'value' =>$attributes[$categoryAttribute->name], 'type' => 'text')); ?>
                    <span class="input-group-addon">
                        <span class="glyphicon glyphicon-time"></span>
                    </span>
                </div>
           
        <script type="text/javascript">
            $(function () {
                $('#datetimepicker3').datetimepicker({
                    format: 'LT'
                });
            });
        </script>




					</div>

		<?php }else{
					?>
                <div class="col-sm-9 col-xs-12 select-input">
					<?= $this->Form->input($categoryAttribute->name, ['class' => 'form-control', 'type' => $categoryAttribute->type, 'label' => false, 'options' => $optionsList, 'value' => isset($attributes[$categoryAttribute->name]) ? $attributes[$categoryAttribute->name] : '']);?>
				</div>
					<?php 
						}
					?>
			</div>
		<?php }} ?>
		<!-- For Registration documents -->
		<?php if($categoryDetails->item_type_id == 3){ ?>
			<div class="row form-group">
				<div class="col-sm-3 col-xs-12 field-label">
					Current Business Registration Certificates :
				</div>
				<div class="col-sm-9">
					<?php
						if($item->item_images != null || $item->item_images != []){
							foreach($item->item_images as $item_image){
								
							if($item_image->image_type == 3){
								
								if($item_image->image_format == 'application/pdf'){
									
								?>
									<div class="images_edit" id="image_div<?= $item_image->id ?>">
										<?= $this->Html->image("pdfholder.jpg", ['url' => ['controller'=>'Items', 'action'=>'downloadFile', $item_image->id], 'class'=>'image_edit']) ?>
										<br>
									</div>
								<?php
								}else {
									
								?>
									<div class="images_edit" id="image_div<?= $item_image->id ?>">
										<?= $this->Html->image($item_image->image_path, ['class' => 'image_edit']) ?>
									<br>	
								</div>
								<?php
								}
							}
						}
					}
					?>
				</div>
			</div>
					<!-- I will come and copy you brother -->
		<div class="row form-group" style="margin-top:15px;margin-bottom:15px;">
			<div class="col-sm-3 col-xs-12 field-label">
				New Business Registration Certificates
			</div>
			<div class="col-sm-9">
				<div id="documentUploads"></div>
				<div id="clear" style="clear:both;"></div>
				<div id="documentUploads">
					<a href="javascript:addDocumentFileInput();" onclick="document.getElementById('documentUploadsLink').style.display='none';"><?= $this->Html->image('add-image-icon') ?></a>
				</div>
			</div>
		</div>
			<hr/>
		<?php } ?>

		<div class="row form-group">
			<div class="col-sm-3 col-xs-12 field-label">
				Other Images:
			</div>
			<div class="col-sm-9">
				<?php
				
					if($item->item_images != null || $item->item_images != []){

					foreach($item->item_images as $item_image){
						if($item_image->image_type == 1){
					?>
							<div class="images_edit" id="image_div<?= $item_image->id ?>">
								<?= $this->Html->image($item_image->image_path, ['class' => 'image_edit']) ?>
								<br>
								<a href="javascript:removeImage(<?= $item_image->id ?>);" class="remove_image">remove</a>
							</div>
					<?php
							}
						}
					}
				?>
			</div>
		</div>
		<!-- I will come and copy you brother -->
		<div class="row form-group">
			<div class="col-sm-3 col-xs-12 field-label">
				New Images
			</div>
			<div class="col-sm-9">
				<div id="moreUploads"></div>
				<div id="clear" style="clear:both;"></div>
				<div id="moreUploadsLink">
					<a href="javascript:addFileInput(1,5,'moreUploads');" onclick="document.getElementById('moreUploadsLink').style.display='none';">Add a picture</a>
				</div>
			</div>
		</div>

		<!-- For Company Logo -->
		<?php if($categoryDetails->item_type_id == 3){ ?>
		<hr/>
		<div class="row form-group">
			<div class="col-sm-3 col-xs-12 field-label">
				Company Logo:
			</div>
			<div class="col-sm-4">
				<?php
					if($item->item_images != null || $item->item_images != []){

					foreach($item->item_images as $item_image){
						if($item_image->image_type == 4){
					?>
							<div class="images_edit" id="image_div<?= $item_image->id ?>">
								<?= $this->Html->image($item_image->image_path, ['class' => 'image_edit']) ?>
								<br>
								<a href="javascript:removeImage(<?= $item_image->id ?>);" class="remove_image">remove</a>
							</div>
					<?php
							}
						}
					}
				?>
			</div>
			<!-- Company Logo -->
				<div class="col-sm-4 col-xs-12">				
					<p align="center" style="border: 1px solid #dedede; border-radius: 10px; max-width: 250px">
						<?= $this->Html->image('placehold.jpg', ['id' => 'imageview11', 'style' => 'padding: 10px', 'width' => '200px', 'height' => '150px']); ?>
						<br/>
						<?= $this->Form->input('image11', ['onchange' => 'readLogoURL(this, "imageview11")', 'style' => ['max-width: 250px !important'],'label' => false,'type' => 'file']); ?>
					</p>
				</div>
			
			<!--End of company logo -->
		</div>
		<hr/>
		<?php } ?>
	
		<?php if($categoryDetails->item_type_id == 4){ ?>
			<div class="row form-group">
				<div class="col-sm-3 col-xs-12 field-label">
					Show Logo
				</div>
				<div class="col-sm-9 col-xs-12 text-input">
					<div style="float: left; margin-right: 20px; margin-top: -30px">
						<input type="radio" name="show_image" class="radio" value="0" id="show-image-0" onchange="toggleShowLogo(this.value,0)" <?= $item->show_image > 1 ? '' : 'checked="checked"' ?>>
						<label for="show-image-0" class="radio-label">No</label>
					</div>
					<div style="float: left; margin-right: 20px; margin-top: -30px">
						<input type="radio" name="show_image" class="radio" value="1" id="show-image-1" class="radio" onchange="toggleShowLogo(this.value, 1)" <?= $item->show_image < 1 ? '' : 'checked="checked"' ?>>
						<label for="show-image-1" class="radio-label">Yes</label>
					</div>
				</div>
			</div>

			<div class="row form-group">
				<div class="col-sm-3 col-xs-12 field-label">
					Show Company Name
				</div>
				<div class="col-sm-9 col-xs-12 text-input">
					<div style="float: left; margin-right: 20px; margin-top: -30px">
						<input type="radio" name="show_company_name" class="radio" value="0" id="show-company-name-0"  <?= $item->show_company_name == 1 ? '' : 'checked="checked"' ?>>
						<label for="show-company-name-0" class="radio-label">No</label>
					</div>
					<div style="float: left; margin-right: 20px; margin-top: -30px">
						<input type="radio" name="show_company_name" class="radio" value="1" id="show-company-name-1" class="radio" <?= $item->show_company_name == 0 ? '' : 'checked="checked"' ?>>
						<label for="show-company-name-1" class="radio-label">Yes</label>
					</div>
				</div>
			</div>
		<?php } ?>
		<div class="row form-group">
			<div class="col-sm-3 col-xs-12 field-label">
				Scheduled Date
			</div>
			<div class="col-sm-9 col-xs-12 text-input">
				<?= $this->Form->input('publish_date', ['id' => 'publish_date', 'type' => 'text', 'class' => 'form-control', 'label' => false, 'required', 'value' => date('m/d/Y h:i a', strtotime($item->publish_date->nice()))]);?>
			</div>
		</div>

		<div class="row form-group">
			<div class="col-sm-3 col-xs-12 field-label">
				Contact Name
			</div>
			<div class="col-sm-9 col-xs-12 text-input">
				<?= $this->Form->input('contact_name', ['class' => 'form-control', 'label' => false, 'required']);?>
			</div>
		</div>

		<div class="row form-group">
			<div class="col-sm-3 col-xs-12 field-label">
				Contact Phone
			</div>
			<div class="col-sm-9 col-xs-12 text-input">
				<?= $this->Form->input('contact_tel', ['class' => 'form-control', 'label' => false, 'required']);?>
			</div>
		</div>

		<div class="row form-group">
			<div class="col-sm-3 col-xs-12 field-label">
				Contact Email
			</div>
			<div class="col-sm-9 col-xs-12 text-input">
				<?= $this->Form->input('contact_email', ['class' => 'form-control', 'label' => false, 'required']);?>
			</div>
		</div>

		<div class="row form-group">
			<div class="col-sm-3 col-xs-12 field-label">
				Region
			</div>
			<div class="col-sm-9">
				<?= $this->Form->input('region_id', ['options' => $regions,'id'=>"region",'onChange'=>'updateCities(value)','empty'=>'-- select --','required','class'=>'form-control','label'=>false]); ?>
			</div>
		</div>

		<div class="row form-group">
			<div class="col-sm-3 col-xs-12 field-label">
				Location
			</div>
			<div class="col-sm-9">
				<?= $this->Form->input('location_id', ['type'=>'select', 'id'=>'city', 'empty'=>'-- select --', 'required', 'class'=>'form-control', 'label'=>false, 'options' => $cities]); ?>
			</div>
		</div>

		<div class="row form-group">
			<div class="col-sm-3 col-xs-12 field-label">
				Other Location
			</div>
			<div class="col-sm-9">
				<?= $this->Form->input('other_location', ['class'=>'form-control', 'label'=>false]); ?>
			</div>
		</div>

		<div class="row form-group">
			<div class="col-sm-3 col-xs-12 field-label">
				Featured
			</div>
			<div class="col-sm-9">
				<div class="row">
					<div class="col-sm-12">
						<input type="hidden" name="featured" id="featured" value="<?= $item->featured ?>">
						<div style="float: left; margin-right: 20px; margin-top: -30px">
							<input type="radio" name="featured" class="radio" value="0" id="featured-0" onchange="toggleDivView(this.value, 0)" <?= $item->featured < 1 ? 'checked="checked"' : '' ?>>
							<label for="featured-0" class="radio-label">No</label>
						</div>
						<div style="float: left; margin-right: 20px; margin-top: -30px">
							<input type="radio" name="featured" class="radio" value="1" id="featured-1" class="radio" onchange="toggleDivView(this.value, 1)" <?= $item->featured < 1 ? '' : 'checked="checked"' ?>>
							<label for="featured-1" class="radio-label">Yes</label>
						</div>
					</div>
				</div>
				<div class="row" id="featured_date" style="display: <?= $item->featured > 0 ? 'block' : 'none' ?>">
					<div class="col-sm-6">
						<?php echo $this->Form->input('featured_start_date', array('id' => 'featured_start', 'label'=>'Start Date','class' => 'form-control selectfld', 'placeholder' => 'start date (mm/dd/yyyy)', 'type' => 'text')); ?>
					</div>
					<div class="col-sm-6">
						<?php echo $this->Form->input('featured_end_date', array('id' => 'featured_expired', 'label'=>'End Date','class' => 'form-control selectfld', 'placeholder' => 'end date (mm/dd/yyyy)', 'type' => 'text')); ?>
					</div>
				</div>
			</div>
		</div>

		<div class="row form-group">
			<div class="col-sm-3 col-xs-12 field-label">
				Show on Section Homepage
			</div>
			<div class="col-sm-9">			
				<input type="hidden" name="show_on_section_homepage" value="<?= $item->show_on_section_homepage ?>">
				<div style="float: left; margin-right: 20px; margin-top: -30px">
					<input type="radio" name="show_on_section_homepage" class="radio" value="0" id="show_on_section_homepage-0" <?= $item->show_on_section_homepage != 1 ? 'checked="checked"' : '' ?>>
					<label for="show_on_section_homepage-0" class="radio-label">No</label>
				</div>
				<div style="float: left; margin-right: 20px; margin-top: -30px">
					<input type="radio" name="show_on_section_homepage" class="radio" value="1" id="show_on_section_homepage-1" class="radio" <?= $item->show_on_section_homepage == 0 ? '' : 'checked="checked"' ?>>
					<label for="show_on_section_homepage-1" class="radio-label">Yes</label>
				</div>
			</div>
		</div>

		<div class="row form-group">
			<div class="col-sm-3 col-xs-12 field-label">
				Show on Site Homepage
			</div>
			<div class="col-sm-9">			
				<input type="hidden" name="show_on_site_homepage" value="<?= $item->show_on_site_homepage ?>">
				<div style="float: left; margin-right: 20px; margin-top: -30px">
					<input type="radio" name="show_on_site_homepage" class="radio" value="0" id="show_on_site_homepage-0" <?= $item->show_on_site_homepage != 1 ? 'checked="checked"' : '' ?>>
					<label for="show_on_site_homepage-0" class="radio-label">No</label>
				</div>
				<div style="float: left; margin-right: 20px; margin-top: -30px">
					<input type="radio" name="show_on_site_homepage" class="radio" value="1" id="show_on_site_homepage-1" class="radio" <?= $item->show_on_site_homepage == 0 ? '' : 'checked="checked"' ?>>
					<label for="show_on_site_homepage-1" class="radio-label">Yes</label>
				</div>
			</div>
		</div>

		<div class="row form-group">
			<div class="col-sm-3 col-xs-12 field-label">
				Complete
			</div>
			<div class="col-sm-9">			
				<input type="hidden" name="completed" value="<?= $item->completed ?>">
				<div style="float: left; margin-right: 20px; margin-top: -30px">
					<input type="radio" name="completed" class="radio" value="0" id="completed-0" <?= $item->completed != 1 ? 'checked="checked"' : '' ?>>
					<label for="completed-0" class="radio-label">No</label>
				</div>
				<div style="float: left; margin-right: 20px; margin-top: -30px">
					<input type="radio" name="completed" class="radio" value="1" id="completed-1" class="radio" <?= $item->completed == 0 ? '' : 'checked="checked"' ?>>
					<label for="completed-1" class="radio-label">Yes</label>
				</div>
			</div>
		</div>
		
		<div class="row form-group">
			<div class="col-sm-3 col-xs-12 field-label">
				
			</div>
			<div class="col-sm-9 col-xs-12 select-input">
				<?= $this->Form->button(__('Submit'), ['class' => 'btn btn-primary']) ?>
			</div>
		</div>
	</div>
</div>

<script>
	function removeImage(str){
		// remove picture reference from the table and file from the server
		xhttp = new XMLHttpRequest();
		xhttp.onreadystatechange = function() {
			if (xhttp.readyState == 4 && xhttp.status == 200) {

				// Sanitize all the json encodings make it a bare string : and ,
				alert('deleted');
				
				var oldpicture = document.getElementById('image_div' + str);
				oldpicture.parentNode.removeChild(oldpicture);
			}
		}
		xhttp.open("GET", "<?= $this->Url->build(['controller' => 'items', 'action' => 'removeImage']) ?>/"+str, true);
		xhttp.send();
	}
</script>  

<script>
	function updateCities(str) {
	  var xhttp;
	  if (str == "") {
		return;
	  }
	  xhttp = new XMLHttpRequest();
	  xhttp.onreadystatechange = function() {
		if (xhttp.readyState == 4 && xhttp.status == 200) {
		  
		  // Sanitize all the json encodings make it a bare string : and ,
		  var myresult = xhttp.responseText.replace(/"/gi,'');
		  myresult = myresult.replace(/{/gi,'');
		  myresult = myresult.replace(/}/gi,'');
		  myresult = myresult.replace('[','');
		  myresult = myresult.replace(']','');
		  var mydata = myresult.split(',');
		  
		  var inneroptions = "";
		  for (var region in mydata) {
			  if (mydata.hasOwnProperty(region)) {
				  var current = mydata[region].split(':');
				  inneroptions = inneroptions + "<option value='" + current[0] + "'>" + current[1] + "</option>";
			  }
			}
			inneroptions = inneroptions + "<option value=''>Other Locations</option>";
			document.getElementById("city").innerHTML = inneroptions;
		}
	  }
	  
	  xhttp.open("GET", "<?= $this->Url->build(['controller' => 'items', 'action' => 'updateCity']) ?>/"+str, true);
	  xhttp.send();
	}
	
	

	function updateSubCats(str) {
	  var xhttp;
	  if (str == "") {
		return;
	  }
	 
	  xhttp = new XMLHttpRequest();
	  xhttp.onreadystatechange = function() {
		if (xhttp.readyState == 4 && xhttp.status == 200) {
		  
		  // Sanitize all the json encodings make it a bare string : and ,
		  var myresult = xhttp.responseText.replace(/"/gi,'');
		  myresult = myresult.replace(/{/gi,'');
		  myresult = myresult.replace(/}/gi,'');
		  myresult = myresult.replace('[','');
		  myresult = myresult.replace(']','');
		  var mydata = myresult.split(',');
		  
		  var inneroptions = "";
		  //alert('mydata');
		   inneroptions = inneroptions + "<option value='0'>-- Select --</option>";
		  for (var mainCat in mydata) {
			  if (mydata.hasOwnProperty(mainCat)) {
				  var current = mydata[mainCat].split(':');				 
				  inneroptions = inneroptions + "<option value='" + current[0] + "'>" + current[1] + "</option>";
			  }
			}
			
			document.getElementById("subCat").innerHTML = inneroptions;
		}
	  }
	  xhttp.open("GET", "<?= $this->Url->build(['controller' => 'items', 'action' => 'updateSubCategories']) ?>/"+str, true);
	  xhttp.send();
	}
	
	$(function () {
		$('#publish_date').datetimepicker({
				/*autoclose: true,
				todayHighlight: true*/
		});
		$('#featured_start').datepicker({
				autoclose: true,
				todayHighlight: true
		});
		$('#featured_expired').datepicker({
				autoclose: true,
				todayHighlight: true
		});
	});		
	
	function toggleDivView(value, state){
		featured_div = document.getElementById('featured_date');
		if(value == 1 && state == 1){
			featured_div.setAttribute("style", "display: table-inline");
		}
		else{
			featured_div.setAttribute("style", "display: none");
		}
	}

	function readLogoURL(input, placeholder) {
		if (input.files && input.files[0]) {
			var reader = new FileReader();

			reader.onload = function (e) {
				$('#' + placeholder)
					.attr('src', e.target.result);
			};
			reader.readAsDataURL(input.files[0]);
		}
	}


	$('#register_form').submit(function (){
		var image = $('#image11').val();
		if(image != undefined){
			var ext = image.split('.')[1];
			if(ext.toUpperCase() == 'JPG' || ext.toUpperCase() == 'PNG' || ext.toUpperCase() == 'JPEG' 
				|| ext.toUpperCase() == 'GIF' || ext.toUpperCase() == 'TIFF'){
				$('.img-error').html('');
				return true;
			}else{
				$('.img-error').html('Invalid image for company logo');
				return false;
			}
			
		}
			
			
		return true;
	});
</script>	