<?= $this->Html->css('multi-image-selector-with-tag-caption.css'); ?>
    <?= $this->Html->script('multi-image-selector-with-tag-caption.js'); ?>
<?= $this->Form->create($product, ['enctype' => 'multipart/form-data', 'class'=>'form-horizontal row-fluid']) ?>
<div class="row form-area">
    
     <p style="margin:0px 0px;">&nbsp;</p>
    <div class="container">

   
        <div class="row form-group">
            <div class="col-sm-2 col-xs-12 field-label">
                Name
            </div>
            <div class="col-sm-10 col-xs-12 text-input">
                <?= $this->Form->input('name', ['class' => 'form-control','required', 'label' => false]);?>
            </div>
        </div>
        
        <div class="row form-group">
            <div class="col-sm-2 col-xs-12 field-label">
                Category
            </div>
            <div class="col-sm-10">
                <?= $this->Form->input('category_id', ['options' => $categories,'empty'=>'-- select --','required','class'=>'form-control','label'=>false]); ?>
            </div>
        </div>


        <div class="row form-group">
            <div class="col-sm-2 col-xs-12 field-label">
               Description
            </div>
            <div class="col-sm-10 col-xs-12 text-input">
           <?= $this->Form->input('description', ['class' => 'form-control', 'label' => false]);?>
            </div>
        </div>
        
        <div class="row form-group">
            <div class="col-sm-2 col-xs-12 field-label">
               Amenities
            </div>
            <div class="col-sm-10 col-xs-12 text-input">
           <?= $this->Form->input('amenities', ['class' => 'form-control', 'label' => false]);?>
            </div>
        </div>

        <div class="row form-group">
            <div class="col-sm-2 col-xs-12 field-label">
                Price
            </div>
            <div class="col-sm-10 col-xs-12 text-input">
                <?= $this->Form->input('price', ['class' => 'form-control','text'=>'Number', 'label' => false]);?>
            </div>
        </div>
        
        <div class="row form-group">
            <div class="col-sm-2 col-xs-12 field-label">
                Currency
            </div>
            <div class="col-sm-10 col-xs-12 text-input">
                <?= $this->Form->input('currency', ['class' => 'form-control', 'label' => false]);?>
            </div>
        </div>
        
        <div class="row form-group">
            <div class="col-sm-2 col-xs-12 field-label">
                Rate
            </div>
            <div class="col-sm-10 col-xs-12 text-input">
                <?= $this->Form->input('rate', ['class' => 'form-control', 'label' => false]);?>
            </div>
        </div>

     <!--     <div class="row form-group">
            <div class="col-sm-2 col-xs-12 field-label">
                Quantity
            </div>
            <div class="col-sm-10 col-xs-12 text-input">
                <?php // $this->Form->input('quantity', ['class' => 'form-control','text'=>'Number', 'label' => false]);?>
            </div>
        </div>
  --> 
           <div class="row form-group">
      <div  id="upload-new">
             <div class="col-md-2 col-sm-3fieldlabel">Pictures</div>
             <?php 
             foreach ($images as $image) {
             
             if(!empty($image->image_path)):?>
              <div class="col-md-2 col-sm-2">
                <?= $this->Html->image('../../site/webroot/img/rooms/'.$image->image_path,[ 'height' => '100px',"class"=>"img-responsive"]);?>
               </div>
             <?php endif ;
             }?>
             <div class="col-md-6 col-sm-6">    
             <div id="moreUploads">
            
             </div>
            
             <div id="moreUploadsLink">
                <a href="javascript:addFileInput2();" id="img" onclick="document.getElementById('moreUploadsLink').style.display='';" id='imag'></a>
            </div>
            </div>

            </div>
             </div>
 
                <div class="row form-group">
            <div class="col-sm-2 col-xs-12 field-label">
                Featured
            </div>
  
             <input type="hidden" name="menu_id"  value="<?= $menu_id ?>">
            <div class="col-sm-10">
                <div class="row">
                    <div class="col-sm-12">
                        <input type="hidden" name="featured" id="featured" value="<?= $product->featured ?>">
                        <div style="float: left; margin-right: 20px; margin-top: -30px">
                            <input type="radio" name="featured" class="radio" value="0" id="featured-0" onchange="toggleDivView(this.value, 0)" <?= $product->featured < 1 ? 'checked="checked"' : '' ?>>
                            <label for="featured-0" class="radio-label">No</label>
                        </div>
                        <div style="float: left; margin-right: 20px; margin-top: -30px">
                            <input type="radio" name="featured" class="radio" value="1" id="featured-1" class="radio" onchange="toggleDivView(this.value, 1)" <?= $product->featured < 1 ? '' : 'checked="checked"' ?>>
                            <label for="featured-1" class="radio-label">Yes</label>
                        </div>
                    </div>
                </div>
                <div class="row" id="featured_date" style="display: <?= $product->featured > 0 ? 'block' : 'none' ?>">
                    <div class="col-sm-6">
                        <?php echo $this->Form->input('featured_start_date', array('id' => 'featured_start', 'label'=>'Start Date','class' => 'form-control selectfld', 'placeholder' => 'start date (mm/dd/yyyy)', 'type' => 'text')); ?>
                    </div>
                    <div class="col-sm-6">
                        <?php echo $this->Form->input('featured_end_date', array('id' => 'featured_expired', 'label'=>'End Date','class' => 'form-control selectfld', 'placeholder' => 'end date (mm/dd/yyyy)', 'type' => 'text')); ?>
                    </div>
                </div>
            </div>
        </div>


    <p style="margin:0px 0px;">&nbsp;</p>
    <div class="row">
    <div class="col-md-3 col-sm-4  fieldlabel">&nbsp;</div><div class="col-md-9 col-sm-8 "><?= $this->Form->button(__('Submit'),['class'=>'btn btn-primary pull-right']) ?></div>
</div>
  <p style="margin:0px 0px;">&nbsp;</p>
 </div>   
</div>
<?= $this->Form->end() ?> 
<script type="text/javascript">


    <script>
        $(document).ready(function() {
              
           $('#imag').click();
           
        });
        
       
        
       
         $(document).ready(function () {
             
            $('#img')[0].click();  //$('#about').get(0).click();
            
        });   




    
    $(function () {
        $('#publish_date').datetimepicker({
                /*autoclose: true,
                todayHighlight: true*/
        });
        $('#featured_start').datepicker({
                autoclose: true,
                todayHighlight: true
        });
        $('#featured_expired').datepicker({
                autoclose: true,
                todayHighlight: true
        });
    });     
    
    function toggleDivView(value, state){
        featured_div = document.getElementById('featured_date');
        if(value == 1 && state == 1){
            featured_div.setAttribute("style", "display: table-inline");
        }
        else{
            featured_div.setAttribute("style", "display: none");
        }
    }

</script>