<?php
namespace App\Controller;

use App\Controller\AppController;
use cake\ORM\TableRegistry;
use Cake\I18n\Time;
use Cake\Event\Event;

/**
 * Items Controller
 *
 * @property \App\Model\Table\ItemsTable $Items and AutoSparePartsTable $AutoSpareParts
 */
class SubMenuController extends AppController {
    public function initialize() {
        parent::initialize();        
        $this->paginate = [
            'limit' => 50
        ];
    }


 public function beforeRender(Event $event) {
        parent::beforeRender($event);

    }

    public function isAuthorized($user) {
        $action = $this->request->params['action'];

        return true;
    }

    /**
     * Index method
     *
     * @return void
     */


    public function index($section=null,$slug=null) {

        $pageTitle = 'All Contents';

          $listings =  $listings = $this->PageContents->find('All')->contain(['Contents.ContentImages','Menus'])->where(['Menus.slug'=>$slug]);
         $listings = $this->paginate($listings);
         $this->set(compact('pageTitle', 'listings'));
    }

 public function addContent($slug=null) {

    $images=[];
    $tagId="";
         $menuitem=$this->Menus->find('All')->where(["slug"=>$slug])->first();
 
        $content = $this->Contents->newEntity();        
        if ($this->request->is(['post'])) {
          
              $content = $this->Contents->patchEntity($content, $this->request->data);
            
            if ($this->Contents->save($content)) {

                $pagecontent = $this->PageContents->newEntity(); 
               
                $this->request->data["content_id"]=$content->id;
                $pc=$this->PageContents->find('All')->where(["menu_id"=> $this->request->data["menu_id"],"content_id"=>$this->request->data["content_id"]]);
                if(empty($pc->toArray())){
                   $pagecontent = $this->PageContents->patchEntity($pagecontent, $this->request->data);
                      $this->PageContents->save($pagecontent);

                }

               $image_field = 'image1';
               if(isset($this->request->data[$image_field])){
                $imageinfo = $this->request->data[$image_field]['tmp_name'] != null ? getimagesize($this->request->data[$image_field]['tmp_name']) : 'temp';
                $fileOK = $this->uploadFiles('../../webroot/img', $this->request->data[$image_field]);
                            if(array_key_exists('urls', $fileOK)) {   
                                                        
                           $this->request->data['image_path'] = substr($fileOK['file_path'][0],18,strlen($fileOK['file_path'][0]));
                            }                
                        }     
            $image = $this->ContentImages->newEntity(); 
            $image = $this->ContentImages->patchEntity($image, $this->request->data);
            $this->ContentImages->save($image);


                $pagecontent = $this->PageContents->newEntity(); 
               //  $this->request->data["menu_id"]=$section->id;
                $this->request->data["content_id"]=$content->id;
                $pc=$this->PageContents->find('All')->where(["menu_id"=> $this->request->data["menu_id"],"content_id"=>$this->request->data["content_id"]]);
                if(empty($pc->toArray())){
                   $pagecontent = $this->PageContents->patchEntity($pagecontent, $this->request->data);
                      $this->PageContents->save($pagecontent);
                }
  
                $urlArray = explode("/", $this->request->url);
                $maincont=$urlArray[0];   
                $this->Flash->success(__('Content added successfully.'));
                return $this->redirect(['controller'=>$maincont,'action' =>'sub',$slug ,'pendingContents']);
            } else {
                $this->Flash->error(__('The row could not be save. Try again'));
            }
        }     
         $menu_id=$menuitem->id;   
        $this->set(compact('pageTitle','content','images','menu_id'));

  }

 
  public function editContent($id=null,$cid=null) {


        $content = $this->Contents->get($cid);
 
      
        $images=$this->ContentImages->find('All')->where(['content_id'=>$cid]);
       if ($this->request->is(['post', 'put', 'patch'])) {
             $this->request->data['status']=2; 
              $this->request->data["content_id"]=$content->id;  
              $content = $this->Contents->patchEntity($content, $this->request->data);           
            if ($this->Contents->save($content)) {

           
               $image_field = 'image1';
               if(isset($this->request->data[$image_field])){
                $imageinfo = $this->request->data[$image_field]['tmp_name'] != null ? getimagesize(
                  $this->request->data[$image_field]['tmp_name']) : 'temp';
                $fileOK = $this->uploadFiles('../../webroot/img', $this->request->data[$image_field]);
                            if(array_key_exists('urls', $fileOK)) {   
                                                        
                           $this->request->data['image_path'] = substr($fileOK['file_path'][0],18,strlen($fileOK['file_path'][0]));
                            }                
                        }     
            $image = $this->ContentImages->newEntity(); 
            $image = $this->ContentImages->patchEntity($image, $this->request->data);
            $this->ContentImages->save($image);
                        
                $urlArray = explode("/", $this->request->url);
                $maincont=$urlArray[0];   
                $this->Flash->success(__('Content added successfully.'));
                return $this->redirect(['controller'=>$maincont,'action' =>'sub',$slug ,'pendingContents']);
            } else {
                $this->Flash->error(__('The row could not be save. Try again'));
            }
        } 
        $menu_id="";          
        $this->set(compact('pageTitle','content', 'images','menu_id'));



  }


   public function editMenu($slug=null) {

      $menuitem=$this->Menus->find('All')->where(["slug"=>$slug])->first();
 
     
           if ($this->request->is(['post', 'put', 'patch'])) {
           
              $menuitem = $this->Menus->patchEntity($menuitem, $this->request->data);
            
            if ($this->Menus->save($menuitem)) {

                        
                $this->Flash->success(__('Menu  item name change successfully.'));
            } else {
                $this->Flash->error(__('The row could not be edited. Try again'));
            }
        }           
        $this->set(compact('menuitem'));



  }

// enable featured
    public function enableContent($id = null) {


        if ($id) {
            $this->Contents->updateAll(['status' => 1], ['id' => $id]);
            $this->Flash->success(__('Category has been ENABLED successfully.'));
        }

        return $this->redirect($this->referer());
    }

    // disable featured
    public function disableContent($slug=null,$id = null) {
        if ($id) {
            $this->Contents->updateAll(['status' => 99], ['id' => $id]);
            $this->Flash->success(__('Category has been DISABLED successfully.'));
        }

        return $this->redirect($this->referer());
    }
public function pendingContents($slug=null){ 
         $pageTitle = 'Pending Contents'; 
          $listings = $this->PageContents->find('All')->contain(['Contents.ContentImages','Menus'])->where(['Menus.slug'=>$slug,'Contents.status'=>0]);
         $listings = $this->paginate($listings);
         $this->set(compact('pageTitle', 'listings'));
 }


 public function enableContents($slug=null){
        $pageTitle = 'Enabled Contents';
  
         $listings = $this->PageContents->find('All')->contain(['Contents.ContentImages','Menus'])->where(['Menus.slug'=>$slug,'Contents.status'=>1]);
         $listings = $this->paginate($listings);
         $this->set(compact('pageTitle', 'listings'));
 }
 public function disableContents($slug=null){
        $pageTitle = 'Disable Contents';
  
         $listings = $this->PageContents->find('All')->contain(['Contents.ContentImages','Menus'])->where(['Menus.slug'=>$slug,'Contents.status'=>99]);
         $listings = $this->paginate($listings);
         $this->set(compact('pageTitle', 'listings'));
 }

public function editedContents($slug=null){
        $pageTitle = 'Edited Contents';
  
          $listings = $this->PageContents->find('All')->contain(['Contents.ContentImages','Menus'])->where(['Menus.slug'=>$slug,'Contents.status'=>2]);
         $listings = $this->paginate($listings);
         $this->set(compact('pageTitle', 'listings'));
 }
public function allContents($slug=null){
        $pageTitle = 'All Contents';
  
         $listings = $this->PageContents->find('All')->contain(['Contents.ContentImages','Menus'])->where(['Menus.slug'=>$slug]);
         $listings = $this->paginate($listings);
         $this->set(compact('pageTitle', 'listings'));
 }


  public function uploadFiles($folder, $file, $itemId = null) {
        // setup dir names absolute and relative
        $folder_url = WWW_ROOT.$folder;
        $rel_url = $folder;
        
        // create the folder if it does not exist
        if(!is_dir($folder_url)) {
            mkdir($folder_url);
        }
            
        // if itemId is set create an item folder
        if($itemId) {
            // set new absolute folder
            $folder_url = WWW_ROOT.$folder.'/'.$itemId; 
            // set new relative folder
            $rel_url = $folder.'/'.$itemId;
            // create directory
            if(!is_dir($folder_url)) {
                mkdir($folder_url);
            }
        }
        

        
        // list of permitted file types : pictures and vidoes
        $permitted = array('image/jpeg','image/pjpeg','image/png');
        $result='';
        
        // replace spaces with underscores
        $filename = str_replace(' ', '_', $file['name']);
        // assume filetype is false
        $typeOK = false;
        // check filetype is ok
        foreach($permitted as $type) {
            if($type == $file['type']) {
                $typeOK = true;
                break;
            }
        }
        
        // if file type ok upload the file
        if($typeOK) {
            // switch based on error code
            switch($file['error']) {
                case 0:
                    // create unique filename and upload file
                    ini_set('date.timezone', 'Europe/London');
                    $now = date('Y-m-d-His');
                    $full_url = $folder_url.'/'.$now.$filename;
                    $url = $rel_url.'/'.$now.$filename;
                
                    $success = move_uploaded_file($file['tmp_name'], $url);
                                        // if upload was successful
                    if($success) {
                        // save the url of the file
                        $result['urls'][] = $url;
                        $result['file_type'][] = $file['type'];
                        $result['name'][] = $file['name'];
                        $result['size'][] = $file['size'];
                        $result['file_path'][] = $url;
                    } else {
                        $result['errors'][] = "Error uploaded $filename. Please try again.";
                    }
                    break;
                case 3:
                    // an error occured
                    $result['errors'][] = "Error uploading $filename. Please try again.";
                    break;
                default:
                    // an error occured
                    $result['errors'][] = "System error uploading $filename. Contact webmaster.";
                    break;
            }
        } elseif($file['error'] == 4) {
            // no file was selected for upload
            $result['nofiles'][] = "No file Selected";
        } else {
            // unacceptable file type
            $result['errors'][] = "$filename cannot be uploaded. Acceptable file types: gif, jpg, png.";
        }
        
        return $result;
    } 


}