<div class="container">
    <div class="table-responsive">
        <table class="table table-striped">
            <thead>
                <tr>
                    <th>Date</th>
                    <th>File Name</th>
                    <th>Link</th>
                    <th>Title</th>
                    <th>Description </th>
                    <th>Home</th>   
                    <th class="actions"> <span class="pull-right"><?= __('Actions') ?></span></th>
                </tr>
            </thead>
            <tbody>
                <?php 
                    foreach ($listings as $listing): 
                        $file_path = Cake\Core\Configure::read('IMAGE_PREPATH') . $listing->file_path;
                ?>
                <tr>
                    <td><?= isset($listing->date_created) ? $listing->date_created->i18nFormat('dd/MM/YYYY HH:mm') : '' ?></td>
                    <td><?= '<a target="_blank" href="' . $this->Url->image($file_path) . '">' . $listing->file_name . '</a>' ?></td>
                    <td><?= $listing->file_path ?></td>
                    <td><?= $listing->title ?></td>
                    <td><?= $listing->description ?></td>
                    <td><?= $listing->show_on_home == 1 ? 'Yes' : 'No' ?></td>
                    </td>
                    <td>
                        <span class=" pull-right">
                            <?php
                                if(in_array($listing->status, [0,2,99])){ 
                                    echo $this->Html->link(__('Enable '), ['action' => 'enable',$listing->id],['class' => 'btn btn-sm btn-success', 'style' => 'margin-bottom: 5px;']);     
                                } 
                                else if($listing->status == 1){ 
                                    echo $this->Html->link(__('Disable '), ['action' => 'disable',$listing->id],['class' => 'btn btn-sm btn-danger', 'style' => 'margin-bottom: 5px;']); 
                                }

                                echo "  ";
                                echo $this->Html->link(__("Edit"), [ 'action' => 'edit', $listing->id],['class' => 'btn btn-sm btn-info', 'style' => 'margin-bottom: 5px;']) ;
                                if ($listing->show_on_home == 1) {
                                    echo $this->Html->link(__("Remove from home"), ['action' => 'removeFromHome', $listing->id], ['class' => 'btn btn-sm btn-warning', 'style' => 'margin-bottom: 5px;']) . " " ;
                                }
                                else {
                                    echo $this->Html->link(__("Show on home"), ['action' => 'showOnHome', $listing->id], ['class' => 'btn btn-sm btn-primary', 'style' => 'margin-bottom: 5px;']) . " " ;
                                }
                            ?>

                        </span> 
                    </td>
                </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
    </div>
</div>