<div class="container">
    <p align="center">
  <?php echo $this->Paginator->counter(array('format' => __('Page {{page}} of {{pages}}, showing {{current}} records out of {{count}} total, starting on record {{start}}, ending on {{end}}'))); ?>
</p>
    <div class="table-responsive">
        <table class="table table-striped">
            <thead>
                <tr>    
                  <th>Name</th>    
                  <th>Description</th>
                  <th>Quantity</th>   
                  <th>Price</th>
				  <!-- <th>Featured</th> -->
                  <th>Picture</th>
                  <th class="actions"> <span class="pull-right"><?= __('Actions') ?></span></th>
                </tr>
            </thead>
            <tbody>
				<?php 
					foreach ($listings as $listing):
					  
					  	$img = Cake\Core\Configure::read('IMAGE_PREPATH') . 'noimage.jpg';
						$showImage = false;
						
					 	if($listing->has('product') && sizeof($listing->product->product_images) > 0 && isset($listing->product->product_images[0]->image_path) && trim($listing->product->product_images[0]->image_path) != '' ){
							$img = Cake\Core\Configure::read('IMAGE_PREPATH') . $listing->product->product_images[0]->image_path;
					  	}
					  
					  	if(file_exists(realpath($img)) && (filesize(realpath($img)) > 4000)){
							$showImage = true;
						}
				?>
				 
				<tr>
					<td><?= $listing->has('product') ? $listing->product->name : '' ?></td>
					<td><?= $listing->has('product') ? $listing->product->description : ''  ?></td>
					<td><?= $listing->has('product') ? $listing->product->quantity : ''  ?></td>
					<td><?= $listing->has('product') ? $listing->product->price : ''  ?></td>
					<!-- <td><?= $listing->product->featured == 1 ? 'Yes' : 'No' ?></td> -->
					<td>
						total:<?= $listing->has('product') ? sizeof($listing->product->product_images) : 0 ?>
						<?= $listing->has('product') && sizeof($listing->product->product_images) > 0 ? '<br/>' : '' ?>
						<?= $showImage ? $this->Html->image($img, [  'height' => '70px']) : '' ?>
					</td>
					<td>
						<span class="pull-right">
							<?php
								if($listing->has('product') && in_array($listing->product->status, [0,2,99])){ 
									echo $this->Html->link(__('Enable '), ['action' => 'enableContent',$listing->product->id],['class' => 'btn btn-sm btn-success', 'style' => 'margin-bottom: 5px;']); 
								} 
						
								else if($listing->has('product') && $listing->product->status == 1){ 
									echo $this->Html->link(__('Disable '), ['action' => 'disableContent',$listing->product->id],['class' => 'btn btn-sm btn-danger', 'style' => 'margin-bottom: 5px;']); 
								}                                                       
						
								echo "  ";
								echo $listing->has('product') ? $this->Html->link(__("Edit"), [ 'action' => 'editContent',$menuitemid, $listing->product->id],['class' => 'btn btn-sm btn-info', 'style' => 'margin-bottom: 5px;']) : '' ;
								
								// if ($listing->product->featured == 1) {
								// 	echo $this->Html->link(__("Remove Featured"), ['controller' => 'Products', 'action' => 'removeFeatured', $listing->product->id], ['class' => 'btn btn-sm btn-warning', 'style' => 'margin-bottom: 5px;']) . " " ;
								// }
								// else {
								// 	echo $this->Html->link(__("Set as Featured"), ['controller' =>'Products', 'action' => 'setAsFeatured', $listing->product->id], ['class' => 'btn btn-sm btn-primary', 'style' => 'margin-bottom: 5px;']) . " " ;
								// }
							
							?>
                   		</span> 
					</td>
                   
                </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
               
    </div>
    
	<div class="row">
		<div class="col-sm-12">
			<div class="paginator" style="text-align: center;">
				<ul class="pagination">
					<?= $this->Paginator->prev('< ' . __('prev')) ?>
					<?= $this->Paginator->numbers(['first' => 3, 'last' => 3, 'modulus' => 4]) ?>
					<?= $this->Paginator->next(__('next') . ' >') ?>
				</ul>
				
				<p><?= $this->Paginator->counter() ?></p>
			</div>
		</div>
	</div>

</div>