<div class="container">
    <div class="table-responsive">
        <table class="table table-striped">
            <thead>
                <tr>
                    <th>Date</th>
                    <th>File Name</th>
                    <th>Format</th>
                    <th>Title</th>
                    <th>Description </th>
                    <th class="actions"> <span class="pull-right"><?= __('Actions') ?></span></th>
                </tr>
            </thead>
            <tbody>
                <?php 
                    foreach ($listings as $listing): 
                ?>
                <tr>
                    <td><?= isset($listing->date_created) ? $listing->date_created->i18nFormat('dd/MM/YYYY HH:mm') : '' ?></td>
                    <td><?= $listing->file_name ?></td>
                    <td><?= $listing->file_type ?></td>
                    <td><?= $listing->title ?></td>
                    <td><?= $listing->description ?></td>
                    </td>
                    <td>
                        <span class=" pull-right">
                            <?php
                                if(in_array($listing->status, [0,2,99])){ 
                                    echo $this->Html->link(__('Enable '), ['action' => 'enable',$listing->id]);     
                                } 
                                else if($listing->status == 1){ 
                                    echo $this->Html->link(__('Disable '), ['action' => 'disable',$listing->id]); 
                                }

                                echo " | ";
                                echo $this->Html->link(__("Edit"), [ 'action' => 'edit', $listing->id]) ;
                            
                            ?>

                        </span> 
                    </td>
                </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
    </div>
</div>