<style>
/**********************   MIAN IMAGE RATIO   *************************/    
.xs-image{
    width: 110px;        
    /* border: 2px solid black; */
    display: flex;
    align-items: center;
    justify-content: center;
    float:left;
    /* background-color: white;
    box-shadow: 0 4px 8px 0 rgb(0 0 0 / 20%), 0 6px 20px 0 rgb(0 0 0 / 19%); */
}  

.xs-image img{
    max-width: 100%;
    max-height: 100%;
    display: block; /* remove extra space below image */
}

.xs-image.large{
    height: 300px;
}

.xs-image.small{
    height: 100px;
}


.read-more-float-right{
    float:right;
    margin-top:-35px;
}
.read-more-float-right a{
    float:right;
    color:#000;
}



.list-group {
     margin:auto;
     float:left;
     /* padding-top:20px; */
}
.list-group .active{
    background-color:#ced9d4;
    border-color: #ced9d4;
    color:#000;
}
.list-group a:hover {
    color: #fff;
    background-color: #006951;
}

.lead {
    margin:auto;
    left:0;
    right:0;
    padding-top:10%;
}

.bottom_line{
	border-bottom:solid 1px #a4a4a4;
	margin-bottom:15px;
}
.more_link{
	color:#0475a9;
	text-decoration: none!important;
}
.more_link a:link{
	color:#0475a9;
	text-decoration: none!important;
}
.more_link a:hover{
	color:#fff!important;
	text-decoration:underline!important;
}

/* Smaller Screen */
@media screen and (max-width: 640px) {
    .xs-image{
    width: 110px;        
    /* border: 2px solid black; */
    display: flex;
    align-items: center;
    justify-content: center;
    float:left;
    /* background-color: white;
    box-shadow: 0 4px 8px 0 rgb(0 0 0 / 20%), 0 6px 20px 0 rgb(0 0 0 / 19%); */
}  
.xs-content{
    float:left;
    width:60%;
}
.xs-hide{
    display:none;
}

}


</style>

<script>
$(document).ready(function() {
  

  $('.list-group-item').click(function(e) {
    e.preventDefault();
    $('.list-group-item').removeClass('active');
    $(this).addClass('active');
  });
});
</script>



<div class="row-fluid">
    <div class="container-fluid pb-5">
    <div class="container">
        <div class="row gy-4">
        

            <div class="col-xs-12 col-sm-12 col-md-8 col-xl-8 col-xxl-8">
                
                    <div class="row mb-1 pr-5">
                    <?php foreach($viewContent as $key => $content) { ?>
						<div class="row">
						<div class="bottom_line px-3">
						<div class="row">
                        <div class="col-xs-2 col-sm-2 col-md-2 col-xl-2 col-xxl-2 xs-image small">
                            <div class="">
                                <a href="<?= $this->Url->build(['controller' => isset($this->request->params['subsection']) ? $this->request->params['subsection']
                                    :(isset($this->request->params['section'])?$this->request->params['section'] :$this->request->params['controller']),'action' => 'details',$content->id]) ?>">
                                    <img src="<?= $this->Url->image(sizeof($content->content_images) > 0 ? $content->content_images[0]->image_path :'noimage.png') ?>"
                                    class="" alt="">
                                </a>
                            </div>
                            <!-- <div class="image_fit">
                                <div class="image_diplay">
                                    <img src="../img/thumb_2022-06-03-181254ABFF1609-BE57-4E02-A151-F5104A531B5A.jpeg" class="image_res img-responsive img-fluid">
                                </div>
                            </div>  -->
                        </div>
                        <div class="col-xs-10 col-sm-10 col-md-10 col-xl-10 col-xxl-10 xs-content">
                            <div class="mb-n3"><h5><?= $content->name ?></h5></div>
                            <div class="mb-1"><em><?= $content->caption ?></em></div>
                            <p class=""><?= $this->Text->truncate(strip_tags($content->content),110,['ellipsis' => '...','exact' => false]) ?>

                            <!-- <div class="read-more-float-right"> -->
                            <a href="<?= $this->Url->build(['controller' => isset($this->request->params['subsection']) ?
                                    $this->request->params['subsection'] :(isset($this->request->params['section']) ? $this->request->params['section'] 
                                        :$this->request->params['controller']),'action' => 'details',$content->id]) ?>" class="more_link"> 
                                <span class="more_link">Read More</span>
                            </a> 
                            </p>
                            <!-- </div> -->

                                <!-- <div class="btnContainer">
                                    <div class="skillsDouble">
                                        <ul>
                                            <li><a href="</?= $this->Url->build(['controller' => 'about-us','action' => 'index']) ?>" data-colorset="white_sectiom" class="">
                                                Read More</a>
                                            </li>
                                        </ul>
                                    </div>            
                                </div> -->
                                
                        </div>
                        <!-- <img src="</?= $this->Url->image(sizeof($content->content_images) > 0 ? $content->content_images[0]->image_path :'noimage.png') ?>"
                            class="img-fluid " alt="">
                            </?= $content->content ?> -->
					</div>
					</div>
					</div>
                    <?php } ?>
                    
                    </div>
               
            </div>

            <div class="col-xs-12 col-sm-12 col-md-4 col-xl-4 col-xxl-4">
                 <?php echo $this->element('aside/sidebar_page_list'); ?>
            </div>

        
        </div>
    </div>
    </div>
</div>



<!-- Notes   Date: 27/06/2022 
   1. Main Containers should have bootstrap py of 5.
   2. All html tags should be placed in a div.
   3. All html tags should use boostrap classes
-->