<link href="https://fonts.googleapis.com/css2?family=Raleway:wght@300&display=swap" rel="stylesheet">
<style type="text/css">
  /*FOOTER*/

footer {
  /* background-image: linear-gradient(rgba(190,116,11, 0.97), rgba(190,116,11, 0.97)),
  url(./img/banner-section-2.png); */
  /* background-repeat: repeat-x; */
  color: #000;
  background-color:#eeeeee;
}

footer a {
  color: #000;
  font-size: 14px;
  font-weight:700;
  line-height:24px;
  font-family: 'Raleway', sans-serif;
  transition-duration: 0.2s;
  text-decoration: none;
  width:100px;
}

footer a:hover {
  color: #FA944B;
  text-decoration: none;
}

footer .copy {
  font-size: 12px;
  padding: 10px;
  border-top: 1px solid #FFFFFF;
}

footer .footer-middle {
  padding-top: 2em;
  color: #000;
}

.lipadding{
  padding-bottom: 0px;
}


/*SOCİAL İCONS*/

/* footer social icons */

ul.social-network {
  list-style: none;
  display: inline;
  margin-left: 0 !important;
  padding: 0;
}

ul.social-network li {
  display: inline;
  margin: 0 5px;
}


/* footer social icons */

.social-network a.icoFacebook:hover {
  background-color: #3B5998;
}

.social-network a.icoLinkedin:hover {
  background-color: #007bb7;
}

.social-network a.icoFacebook:hover i,
.social-network a.icoLinkedin:hover i {
  color: #000;
}

.social-network a.socialIcon:hover,
.socialHoverClass {
  color: #44BCDD;
}

.social-circle li a {
  display: inline-block;
  position: relative;
  margin: 0 auto 0 auto;
  -moz-border-radius: 50%;
  -webkit-border-radius: 50%;
  border-radius: 50%;
  text-align: center;
  width: 30px;
  height: 30px;
  font-size: 15px;
}

.social-circle li i {
  margin: 0;
  line-height: 30px;
  text-align: center;
}

.social-circle li a:hover i,
.triggeredHover {
  -moz-transform: rotate(360deg);
  -webkit-transform: rotate(360deg);
  -ms--transform: rotate(360deg);
  transform: rotate(360deg);
  -webkit-transition: all 0.2s;
  -moz-transition: all 0.2s;
  -o-transition: all 0.2s;
  -ms-transition: all 0.2s;
  transition: all 0.2s;
}

.social-circle i {
  color: #595959;
  -webkit-transition: all 0.8s;
  -moz-transition: all 0.8s;
  -o-transition: all 0.8s;
  -ms-transition: all 0.8s;
  transition: all 0.8s;
}

.social-network a {
  background-color: #F9F9F9;
}

</style>


<footer>
  <div class="footer-middle">
  <div class="container">
    <div class="row">
    <?php foreach($footerMenus as $footerMenu) { ?>
      <div class="col-md-3 col-sm-6">
        <!--Column1-->
        <div class="footer-pad">
          <h4><?= $footerMenu->name ?></h4>
          <ul class="list-unstyled">
          <?php foreach($footerMenu->child_menus as $footerChildMenu) { ?>
            <li class="lipadding"> <a href="<?= $this->Url->build(['controller' => $footerMenu->slug, 'action' => $footerChildMenu->slug]) ?>"><?= $footerChildMenu->name ?></a><br>
            </li><?php } ?>
            
          </ul>
        </div>
      </div>
      <?php } ?>
     
      <!-- <div class="col-md-3 col-sm-6">
        <div class="contact-us">
          <h4>Contat Us</h4>
          <p>Phone : <span></?= $contacts->phone1 ?></span></p>
          <p>Email : <span></?= $contacts->email1 ?></span></p>
        </div>

       
        <div class="footer-pad">
        <h4>Follow Us</h4>
        <br/>

        <ul class="social-network social-circle">
             <li><a target="_blank" href="</?= $contacts->facebook ?>" class="icoFacebook" title="Facebook"><i class="fa fa-facebook"></i></a></li>
             <li><a href="</?= $contacts->twitter?>" class="icoTwitter" title="Twitter"><i class="fa fa-twitter"></i></a></li> 
             <li><a target="_blank" href="</?= $contacts->instagram ?>" class="icoInstagram" title="Instagram"><i class="fa fa-instagram"></i></a></li>
            <li><a href="</?= $contacts->whatsapp ?>" class="icoWhatsapp" title="Whatsapp"><i class="fa fa-whatsapp"></i></a></li>
             <li><a href="</?= $contacts->youtube ?>" class="icoYoutube" title="Youtube"><i class="fa fa-youtube"></i></a></li>
            </ul> 
        </div>
       
      </div> -->
        <!-- <div class="col-md-3">
            <h4>Follow Us</h4>
            <ul class="social-network social-circle">
             <li><a href="#" class="icoFacebook" title="Facebook"><i class="fa fa-facebook"></i></a></li>
             <li><a href="#" class="icoLinkedin" title="Linkedin"><i class="fa fa-linkedin"></i></a></li>
            </ul>               
        </div> -->
    </div>


  </footer><!-- End Footer -->



  
  <div id="footer container-fluid" style="background-color:#111;"> <!-- This is will taken off when we want to have 'footer_sr' -->
      <div class="container d-md-flex py-4">

      <div class="me-md-auto text-center text-md-start">
        <div class="copyright pt-2 text-white">
          &copy; Copyright ␈ <?php echo date("Y"); ?> <?= $appSettings['SITE-NAME']; ?>.  All Rights Reserved.
        </div>
      </div>
      <div class="social-links text-center text-md-right pt-3 pt-md-0 text-white">
        <a href="#" class="twitter"><i class="bx bxl-twitter text-white"></i></a>
        <a href="#" class="facebook"><i class="bx bxl-facebook text-white"></i></a>
        <a href="#" class="instagram"><i class="bx bxl-instagram text-white"></i></a>
        <a href="#" class="google-plus"><i class="bx bxl-skype text-white"></i></a>
        <a href="#" class="linkedin"><i class="bx bxl-linkedin text-white"></i></a>
      </div>
    </div>
  </div>
    