<style>

.nav-item a {
    color: #000!important;
    font-size:17px;
    font-weight:600;
    text-transform:uppercase;
}

</style>

<?= $this->Html->script('../js/jquery-2.2.4.min.js') ?>

<script type="text/javascript">
/// some script

// jquery ready start
$(document).ready(function() {
    // jQuery code

    ///////////////// fixed menu on scroll for desctop
    if ($(window).width() > 992) {

        var navbar_height = $('.navbar').outerHeight();

        $(window).scroll(function() {
            if ($(this).scrollTop() > 300) {
                $('.navbar-wrap').css('height', navbar_height + 'px');
                $('#navbar_top').addClass("fixed-top");

            } else {
                $('#navbar_top').removeClass("fixed-top");
                $('.navbar-wrap').css('height', 'auto');
            }
        });
    } // end if


}); // jquery end


document.addEventListener("DOMContentLoaded", function() {
    // make it as accordion for smaller screens
    if (window.innerWidth > 992) {

        document.querySelectorAll('.navbar .nav-item').forEach(function(everyitem) {

            everyitem.addEventListener('mouseover', function(e) {

                let el_link = this.querySelector('a[data-bs-toggle]');

                if (el_link != null) {
                    let nextEl = el_link.nextElementSibling;
                    el_link.classList.add('show');
                    nextEl.classList.add('show');
                }

            });
            everyitem.addEventListener('mouseleave', function(e) {
                let el_link = this.querySelector('a[data-bs-toggle]');

                if (el_link != null) {
                    let nextEl = el_link.nextElementSibling;
                    el_link.classList.remove('show');
                    nextEl.classList.remove('show');
                }


            })
        });

    }
    // end if innerWidth
});
// DOMContentLoaded  end
</script>

<header>
    <div class="navbar-wrap">
        <nav id="navbar_top" class="navbar navbar-expand-lg navbar-dark navbg-color">
            <div class="container-fluid">

                <!-- <a class="navbar-brand" href="#"> -->
                <div class="logoImg">
                <?php echo $this->Html->link(
                $this->Html->image($appSettings['SITE-LOGO'], ['style' => "height:90px; width:180px; "]),
                ['controller' => 'home'],
                ['escape' => false, 'class' => "navbar-brand"]
            ); ?>
             </div>
                <!-- </a> -->

                <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                    data-bs-target="#navbarNavDropdown" aria-controls="navbarNavDropdown" aria-expanded="false"
                    aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse justify-content-end" id="navbarNavDropdown">
                    <ul class="navbar-nav">
                        <?php foreach ($menus as $menu) :
      if (!$menu->has('child_menus') || sizeof($menu->child_menus) <= 0) {
        ?>

                        <li class="nav-item">
                            <?= $this->Html->link($menu->name, ['controller' => $menu->slug, 'action' => 'index'], ['class' => 'nav-link']) ?>
                        </li>

                        <?php } else { ?>

                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button"
                                data-bs-toggle="dropdown" aria-expanded="false">
                                <?= $menu->name ?>
                            </a>

                            <ul class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                                <?php foreach ($menu->child_menus as $sub) : ?>
                                <?php if (1 == 1) { ?>
                                <li><?= $this->Html->link($sub->name, ['controller' => $menu->slug, 'action' => $sub->slug],
                                 ['class' => 'dropdown-item', 'style' => ';']) ?>
                                </li>
                                <?php } else { ?>

                                <li class="dropdown dropdown-submenu"><a href="#" class="dropdown-toggle"
                                        data-toggle="dropdown"><?= $sub[2] ?></a>
                                    <ul class="dropdown-menu">
                                        <?php foreach ($sub as $subsub) : ?>
                                        <li> <?= $menu->name ?> </li>
                                        <?php endforeach ?>
                                    </ul>
                                </li>
                                <?php } ?>
                                <?php endforeach ?>

                            </ul>

                        </li>
                        <?php } endforeach ?>
                    </ul>
                </div>
            </div>
        </nav>
    </div>

</header>