
<div id="Container">
	<?php 
		echo $this->element('sections/home', ['banners' => $banners]);
		echo '<br/><div style="clear: both;"></div>';


		foreach($viewSubsections as $sectionView) { 
		 	// Load the view for sub sections of main section, 
		 	// This renders sub menus with show_on_home equal to 1
			// NB: Should be moved to DB so view can be configured in the CMS
			echo $this->element(Cake\Core\Configure::read('HomeSubSections.' . $sectionView['section']->slug, 'snippets/simple/homesubsection_image_title_1'), ['dataContents' => $sectionView['list'], 'menuDetails' => $sectionView['section']]);
		}
		
		foreach($homeMenus as $menu) { 
			// Load the view for each section, The default view consists of
			// elements with the same name as the menu slugs, variations can
			// can be made by choosing the version with the number
		   // Always use the default section element if a particular element is missing
		   // Views are configured in the app.php
		   // NB: Should be moved to DB so view can be configured in the CMS

		   if(isset($viewContents[$menu->slug])) {
			   echo $this->element(Cake\Core\Configure::read('Home.' . $menu->slug, 'snippets/simple/home_title_tiles_1'), ['dataContents' => $viewContents[$menu->slug], 'galleryDetails' => $galleryDetails, 'menuDetails' => $menu, 'banners' => $banners, 'viewAlbums' => $viewAlbums]);
		   }
	   }
		
		//Load the view for gallery on the homepage
		if(!empty($viewAlbums)){
			echo $this->element('body/home/home_gallery_title_content_2_col');
		  }
		//Load the view for file downloads on the homepage
		if(!empty($filesContent)){
			echo $this->element('snippets/simple/file_image_title_content_tiles_1');
		  }
		

		    // Currently commented out because of customer preference
		// foreach($viewAlbums as $albumView) { 
		//  	//Load the view for sub sections of main section, 
		//  		echo $this->element(Cake\Core\Configure::read('HomeAlbums.' . $albumView->name, 'snippets/simple/homealbum_image_3'), ['dataContent' => $albumView]);
		// }
		// if($this->elementExists('sections/' . $menu->slug)) {
		// 	echo $this->element('sections/' . $menu->slug, ['viewContent' => $viewContents[$menu->slug], 'galleryDetails' => $galleryDetails, 'menuDetails' => $menu, 'banners' => $banners]);
		// }
		// else {
		// 	echo $this->element('sections/default', ['viewContent' => $viewContents[$menu->slug], 'galleryDetails' => $galleryDetails, 'menuDetails' => $menu, 'banners' => $banners]);
		// }

		 

	   
	?>


</div>