<style>
.error-message {
    color: red;
}
.steps{
    font-size:20px;
    font-weight:bold;
}
.fs-title{
    font-size:25px;
    font-weight:bold!important;
}
</style>

<div class="row">
    <div class="container-fluid p-5">
        <div class="col-11 col-sm-12 col-md-12 col-lg-12 col-xl-12  ">
            <?= $this->Form->create($user, ['type' => 'file']);?>

            <div class="card">
                <div class="card-header">
                    <h2 id="heading" class="text-center py-3">
                        Sign Up Form
                    </h2>

                    <div class="mt-5 text-center">
                        <ul id="progressbar">
                            <li class="active" id="personal"><strong> Personal Information </strong></li>
                            <li id="address"><strong> Address </strong></li>
                            <li id="education"><strong> Education </strong></li>
                            <li id="professional"><strong> Professional Information</strong></li>
                            <li id="payment"><strong> Payment Information </strong></li>
                            <li id="confirm"><strong> Finish </strong></li>
                        </ul>
                    </div>

                    <div class="progress">
                        <div class="pbar pbar-striped pbar-animated" role="progressbar" aria-valuemin="0"
                            aria-valuemax="100"> </div>
                    </div>

                </div>

                <div class="card-body">
                    <div class="row">
                        <div class="col-xs-12 col-sm-12 col-md-7 col-xl-7 col-xxl-7">
                            <h2 class="fs-title"> Personal Information: </h2>
                            <p> All Fields marked (*) Required </p>
                        </div>

                        <div class="col-xs-12 col-sm-12 col-md-5 col-xl-5 col-xxl-5">
                            <h2 class="steps"> Step 1 - 6 </h2>
                        </div>
                    </div>

                    <div class="col-xs-12 col-sm-12 col-md-12 col-xl-12 col-xxl-12">
                        <div class="row">
                            <div class="col-xs-12 col-sm-12 col-md-4 col-xl-4 col-xxl-4">
                                <?= $this->Form->file('image_file',['class'=>'form-control ', 'placeholder'=>'Upload Photo Passport*']);?>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-4 col-xl-4 col-xxl-4">
                                <?= $this->Form->select('title', ['select'=>'Title *','dr'=>'Dr', 'mr'=>'Mr', 'mrs'=>'Mrs','miss'=>'Miss','Ms'=>'Ms','Others'=>'Others'],
                                ['class' => 'form-control','label' => false,'placeholder'=>'']);?>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-4 col-xl-4 col-xxl-4">
                                <?= $this->Form->select('gender', ['select'=>'Gender *','male'=>'Male', 'female'=>'Female', 'Others'=>'Others'],
                                ['class' => 'form-control mb-3','label' => false,'placeholder'=>'']);?>
                            </div>

                        </div>

                        <div class="row">
                            <div class="col-xs-12 col-sm-12 col-md-4 col-xl-4 col-xxl-4">
                                <?= $this->Form->control('first_name',['class'=>'form-control','placeholder'=>'First & Middle Name *','label' => false]);?>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-4 col-xl-4 col-xxl-4">
                                <?= $this->Form->control('last_name',['class'=>'form-control','placeholder'=>'Last Name *','label' => false]);?>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-4 col-xl-4 col-xxl-4 mt-3">
                                <?= $this->Form->control('date_of_birth',['class'=>'form-control ','placeholder'=>'Date of Birth*','label' => false]);?>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-4 col-xl-4 col-xxl-4">
                                <?= $this->Form->tel('phone_1',['class'=>'form-control','placeholder'=>'Phone 1 *','label' => false]);?>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-4 col-xl-4 col-xxl-4">
                                <?= $this->Form->tel('phone_2',['class'=>'form-control','placeholder'=>'Phone 2 *','label' => false]);?>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-4 col-xl-4 col-xxl-4">
                                <?= $this->Form->control('email',['class'=>'form-control ','placeholder'=>'email@example.com','label' => false]);?>
                            </div>

                        </div>

                        <div class="row">
                            <div class="col-xs-12 col-sm-12 col-md-4 col-xl-4 col-xxl-4">
                                <?= $this->Form->control('alternative_email',['class'=>'form-control','placeholder'=>'Altenative Email','label' => false]);?>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-4 col-xl-4 col-xxl-4 mt-4">
                                <?= $this->Form->password('password',['class'=>'form-control','placeholder'=>'Password *','label' => false]);?>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-4 col-xl-4 col-xxl-4 mb-4">
                                <?= $this->Form->control('passwordConfirm',['class'=>'form-control','placeholder'=>'Confirm Password *','label' => false]);?>
                            </div>
                        </div>

                    </div>
                </div>
                <div class="text-end p-2">
                    <?php echo $this->Form->submit('Next',array('class'=>'btn btn-success btn-lg next action-button','div'=>false,'id'=>'send_message'));?>
                </div>
            </div>
            <?= $this->Form->end() ?>
        </div>

    </div>
</div>