<div class="row">
    <div class="">
        <div class="container-fluid pb-5">
            <div class="col-11 col-sm-12 col-md-12 col-lg-12 col-xl-12 text-center mb-2">
                <?= $this->Form->create(null,['url' => ['controller' => 'Users', 'action' => 'register']],
                ['enctype' => 'multipart/form-data', 'class'=>'form-horizontal row-fluid needs-validation','id'=>'msform']) ?>

                <div class="card p-5 mb-3">
                    <h2 id="heading" class="mb-3"> Sign Up Form </h2>
                    <ul id="progressbar">
                        <li class="active" id="personal"><strong> Personal Information </strong></li>
                        <li class="active" id="address"><strong> Address </strong></li>
                        <li id="education"><strong> Education </strong></li>
                        <li id="professional"><strong> Professional Information</strong></li>
                        <li id="payment"><strong> Payment Information </strong></li>
                        <li id="confirm"><strong> Finish </strong></li>
                    </ul>
                    <div class="progress">
                        <div class="pbar pbar-striped pbar-animated" role="progressbar" aria-valuemin="0"
                            aria-valuemax="100"> </div>
                    </div> <br>

                    <div class="form-card">
                        <div class="row">
                            <div class="col-xs-12 col-sm-12 col-md-7 col-xl-7 col-xxl-7">
                                <h2 class="fs-title"> Address: </h2>
                                <p> All Fields marked (*) Required </p>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-5 col-xl-5 col-xxl-5">
                                <h2 class="steps"> Step 2 - 6 </h2>
                            </div>
                        </div>

                        <div class="col-xs-12 col-sm-12 col-md-12 col-xl-12 col-xxl-12 ">
                            <div class="row g-3">
                                <div class="col-xs-12 col-sm-12 col-md-6 col-xl-6 col-xxl-6">
                                    <?= $this->Form->tel('officePhone',['class'=>'form-control','placeholder'=>'Office Phone','label' => false,'required'=>true]);?>

                                </div>

                                <div class="col-xs-12 col-sm-12 col-md-6 col-xl-6 col-xxl-6">
                                    <?= $this->Form->tel('homePhone',['class'=>'form-control','placeholder'=>'Business Address','label' => false,'required'=>true]);?>
                                </div>

                            </div>

                            <div class="row g-3">
                                <div class="col-xs-12 col-sm-12 col-md-6 col-xl-6 col-xxl-6">
                                    <?= $this->Form->input('businessAddress',['class'=>'form-control','placeholder'=>'Home Phone','label' => false,'required'=>true]);?>
                                </div>

                                <div class="col-xs-12 col-sm-12 col-md-6 col-xl-6 col-xxl-6">
                                    <?= $this->Form->input('homeAddress',['class'=>'form-control','placeholder'=>'Home Address','label' => false,'required'=>true]);?>
                                </div>

                            </div>

                            <div class="row g-3">
                                <div class="col-xs-12 col-sm-12 col-md-12 col-xl-12 col-xxl-12">
                                <?php $options = array('Dr'=>'Dr', 'Mr'=>'Mr', 'Mrs'=>'Mrs', 'Miss'=>'Miss', 'Ms'=>'Ms', 'Other'=>'Other'); ?>
        <?= $this->Form->input('title', [ 'label' => false, 'required'=>true,'id'=>'selected-value', 'options'=>$options,'empty'=>'Please Select your Prefered Mailing Address *','placeholder'=> 'Please Select your Prefered Mailing Address', 'class'=>'form-select']);?>
                                    <!-- <//?= $this->Form->select('businessAddress',['class'=>'form-select','placeholder'=>'Please select your prefered mailing address','label' => false,'required'=>true, 'aria-label' => "Default select example"]);?> -->
                                </div>

                            </div>
                        </div>

                    </div>

                    <div class="row mt-5">
                        <div class="col-md-4">
                        <?php echo $this->Form->submit('Previous',array('class'=>'btn btn-primary btn-lg next action-button','div'=>false,'id'=>'send_message','onclick'=>'history.back()'));?>
                        </div>

                        <div class="col-md-4">
                        <?php echo $this->Form->submit('Next',array('class'=>'btn btn-primary btn-lg next action-button','div'=>false,'id'=>'send_message'));?>
                        </div>
                    </div>

                    <?= $this->Form->end() ?>

                </div>
            </div>
        </div>
    </div>