<?php
declare(strict_types=1);

namespace App\Controller;

use App\Controller\AppController;
use cake\ORM\TableRegistry;
use Cake\Mailer\Email;
use Cake\Auth\DefaultPasswordHasher;
use Cake\Utility\Security;
use Cake\Core\Configure;
use Cake\I18n\Time;
use Cake\Event\Event;

/**
 * Users Controller
 *
 * @property \App\Model\Table\UsersTable $Users
 * @method \App\Model\Entity\User[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class UsersController extends AppController
{
    public function register(){

     if ($this->request->is('post')) {
        
             $user = $this->Users->newEntity();
  
        if ($this->request->is('post')) {
             $token = Security::hash(Time::now(), 'sha1', true);

            $this->request->data['token'] = $token;
            
            $user = $this->Users->patchEntity($user, $this->request->getData());

            if ($this->Users->save($user)) {
               // return $this->redirect(['action' => 'index',$user->id]);
               return $this->redirect(['controller' => 'User', 'action' => 'address']); exit();

            }
           $this->Flash->error(__('The user could not be saved. Please, try again.'));
        }

        $this->set(compact('user'));
          
     }

}

public function addContacts($user_id=null)
{
}

    public function address(){
        if($this->request->is('post')){

                         // return $this->redirect(['controller' = 'User', 'action' = 'info2']); exit();
        } 
   }


}

